ceph (12.2.12-112redhat1xenial) xenial; urgency=medium

  * build ceph for xenial

 -- Jenkins Build Slave User <jenkins-build@rcm-deb-01.build.eng.bos.redhat.com>  Wed, 28 Oct 2020 17:50:18 -0400

ceph (12.2.12-112redhat1) stable; urgency=medium

  * rgw: fix segfault from empty 'etag' buffer list (rhbz#1884699)
  * ceph-volume: remove unneeded call to get_devices() (rhbz#1892441)

 --  <ceph-jenkins@redhat.com>  Wed, 28 Oct 2020 21:33:39 +0000

ceph (12.2.12-111redhat1) stable; urgency=medium

  * Modified debian/patches/0442-rgwlc-fix-error-return-from-backward-
    compat-decode.patch (rhbz#1858733)

 --  <ceph-jenkins@redhat.com>  Thu, 23 Jul 2020 00:24:38 +0000

ceph (12.2.12-110redhat1) stable; urgency=medium

  * rgwlc: fix error return from backward-compat decode (rhbz#1858733)

 --  <ceph-jenkins@redhat.com>  Wed, 22 Jul 2020 18:38:42 +0000

ceph (12.2.12-109redhat1) stable; urgency=medium

  * rgw: clean up attempt loop in ordered listing (rhbz#1853057)
  * rgw: change rgw-orphan-list script to plain script to match
    upstream (rhbz#1855384)
  * rgw: sync rgw-orphan-list with upstream version (rhbz#1855384)
  * rgw: orphan-list timestamp fix (rhbz#1855384)
  * rgw: rgw-orphan-list -- fix interaction, quoting, and percentage
    calc (rhbz#1855384)

 --  <ceph-jenkins@redhat.com>  Thu, 16 Jul 2020 14:42:00 +0000

ceph (12.2.12-108redhat1) stable; urgency=medium

  * os/bluestore: Added rescue procedure for bluefs log replay
    (rhbz#1821133)
  * os/bluestore: Add ability to disable compaction (rhbz#1821133)
  * os/bluestore: Add documentation for large bluefs log recovery
    (rhbz#1821133)

 -- Thomas Serlin <tserlin@redhat.com>  Wed, 15 Jul 2020 20:25:59 -0400

ceph (12.2.12-107redhat1) stable; urgency=medium

  * rgw: fix shutdown crash in RGWAsyncReadMDLogEntries (rhbz#1840858)
  * rgw: radoslist incomplete multipart uploads fix marker progression
    (rhbz#1831740)
  * mds: take xlock in the order requests start locking (rhbz#1855881)
  * rgw: sanitize newlines in s3 CORSConfiguration's ExposeHeader
    (rhbz#1841205)
  * os/bluestore/BlueFS: compact log even when sync_metadata sees no
    work (rhbz#1849478)

 -- Thomas Serlin <tserlin@redhat.com>  Wed, 15 Jul 2020 17:13:40 -0400

ceph (12.2.12-106redhat1) stable; urgency=medium

  * rgw: attempt retries after write race for bucket reshard
    bucketinfo update (rhbz#1840075)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Jun 2020 16:03:30 +0000

ceph (12.2.12-105redhat1) stable; urgency=medium

  * mon/MgrMonitor: fix null deref when invalid formatter is specified
    (rhbz#1836557)

 --  <ceph-jenkins@redhat.com>  Fri, 22 May 2020 05:19:20 +0000

ceph (12.2.12-104redhat1) stable; urgency=medium

  * rgwlc: wait for WorkQ threads on shutdown (rhbz#1835846)
  * rgw: auto-clean reshard queue entries for non-existent buckets
    (rhbz#1833497)

 --  <ceph-jenkins@redhat.com>  Wed, 20 May 2020 22:10:47 +0000

ceph (12.2.12-103redhat1) stable; urgency=medium

  * rgwlc: make invalid lc_op accesses impossible (rhbz#1775438)
  * rgw: fix nullptr deref at debug-rgw==10 (rhbz#1778217)

 --  <ceph-jenkins@redhat.com>  Thu, 30 Apr 2020 16:04:11 +0000

ceph (12.2.12-102redhat1) stable; urgency=medium

  * rgw: lc: cls_rgw_lc_list_entries_op struc_v off-by-one
    (rhbz#1794715)
  * rgwlc: properly accumulate in RGWLC::list_lc_progress()
    (rhbz#1775438)
  * rgw: nfs: disable gc, lc, quota, and sync threads by default
    (rhbz#1775438)
  * rgw: find oldest period and update RGWMetadataLogHistory()
    (rhbz#1552567)

 --  <ceph-jenkins@redhat.com>  Thu, 30 Apr 2020 14:51:25 +0000

ceph (12.2.12-101redhat1) stable; urgency=medium

  * rgw: sanitize header attributes (rhbz#1827320)

 --  <ceph-jenkins@redhat.com>  Wed, 29 Apr 2020 16:40:24 +0000

ceph (12.2.12-100redhat1) stable; urgency=medium

  * rgw: fix bilog to handle buckets with tenant name (rhbz#1808193)
  * rgw: fix loop problem with swift stat on account. (rhbz#1811465)
  * rgw: allow enforcing of maximum requested in listing when possible
    (rhbz#1811162)
  * rgw: allow protocol bucket listing default max to override config
    max (rhbz#1811162)

 --  <ceph-jenkins@redhat.com>  Fri, 24 Apr 2020 20:18:44 +0000

ceph (12.2.12-99redhat1) stable; urgency=medium

  * rgw/multisite: encode space in meta sync. (rhbz#1781907)

 --  <ceph-jenkins@redhat.com>  Wed, 22 Apr 2020 17:47:48 +0000

ceph (12.2.12-98redhat1) stable; urgency=medium

  * rgw: Fix dynamic resharding not working for empty zonegroup in
    period (rhbz#1780934)
  * rgwlc: enable thread-parallelism in RGWLC (rhbz#1794715)
  * rgwlc: make rgwlc entries extensible and extend (rhbz#1794715)
  * rgwlc: permit per-bucket thread parallelism (rhbz#1794715)
  * rgwlc: revisions (rhbz#1794715)
  * rgw: lc: continue past decode-tagset and get_obj_state() failure
    (rhbz#1775438)
  * rgwlc: compile fixes for L (rhbz#1794715)
  * Update ceph.te
  * selinux: add "type http_cache_port_t" in require section
  * rgwlc: re-hook RGWRados::process_lc() (rhbz#1794715)

 --  <ceph-jenkins@redhat.com>  Wed, 22 Apr 2020 03:38:19 +0000

ceph (12.2.12-97redhat1) stable; urgency=medium

  * rgw: reject unauthenticated response-header actions
  * rgw: reject response headers w/illegal characters

 --  <ceph-jenkins@redhat.com>  Fri, 27 Mar 2020 22:08:43 +0000

ceph (12.2.12-96redhat1) stable; urgency=medium

  * rgw: clear ent_list for each loop of bucket list (rhbz#1810779)

 --  <ceph-jenkins@redhat.com>  Thu, 12 Mar 2020 19:59:17 +0000

ceph (12.2.12-95redhat1) stable; urgency=medium

  * radosgw-admin: sync status displays id of shard furthest behind
    (rhbz#1782508)
  * rgw: data sync markers include timestamp from datalog entry
    (rhbz#1782508)
  * rgw: remove spawned_keys filter from incremental data sync
    (rhbz#1782508)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Mar 2020 23:53:25 +0000

ceph (12.2.12-94redhat1) stable; urgency=medium

  * rgw: update the hash source for multipart entries during
    resharding Fixes: https://tracker.ceph.com/issues/43583
    (rhbz#1766731)

 --  <ceph-jenkins@redhat.com>  Fri, 28 Feb 2020 22:12:15 +0000

ceph (12.2.12-93redhat1) stable; urgency=medium

  * test: use hex string literals (rhbz#1807816)
  * test: EscapeJson.Utf8 uses json instead of xml (rhbz#1807816)
  * common: add streaming interfaces for json/xml escaping
    (rhbz#1807816)
  * rgw: rework json/xml escape usage follow #19806 (rhbz#1807816)
  * common/Formatter: fix string_view usage for {json,
    xml}_stream_escaper (rhbz#1807816)

 --  <ceph-jenkins@redhat.com>  Thu, 27 Feb 2020 16:56:36 +0000

ceph (12.2.12-92redhat1) stable; urgency=medium

  * test/osd: add performance test case for maybe_remove_pg_upmap
    (rhbz#1761839)
  * osd/OSDMap: maybe_remove_pg_upmaps -
    s/pg_to_raw_up/pg_to_raw_upmap/ (rhbz#1761839)
  * osd/OSDMap: maybe_remove_pg_upmaps - avoid do_crush twice
    (rhbz#1761839)
  * osd: maybe_remove_pg_upmaps -> clean_pg_upmaps (rhbz#1761839)
  * osd/OSDMapMapping: make ParallelPGMapper can accept input pgs
    (rhbz#1761839)
  * osd/OSDMap: split clean_pg_upmaps into smaller helpers
    (rhbz#1761839)
  * mon/OSDMonitor: do clean_pg_upmaps the parallel way if necessary
    (rhbz#1761839)
  * test: add parallel clean_pg_upmaps test (rhbz#1761839)
  * mgr: Release GIL before calling OSDMap::calc_pg_upmaps()
    (rhbz#1761839)
  * test: Test balancer module commands (rhbz#1761839)
  * mgr: Improve balancer module status (rhbz#1761839)
  * tools: odsmaptool truncate target upmap file (rhbz#1761839)
  * osdmaptool: Match default max value of 10 (rhbz#1761839)
  * osd: For balancer crush needs the rule passed to
    get_parent_of_type() (rhbz#1761839)
  * tools: osdmaptool: Perform upmap calculation as ceph-mgr does
    (rhbz#1761839)
  * osd: ceph_pg_upmaps() use max_deviation to determine perfect
    distribution (rhbz#1761839)
  * osd: calc_pg_upmaps() pick most overfull remap from try_pg_upmap()
    (rhbz#1761839)
  * osd: Create more_underfull with below target that aren't in
    underfull (rhbz#1761839)
  * osd: ceph_pg_upmaps() use any overfull when there are still
    underfull (rhbz#1761839)
  * test: Add test case based on Xie script in commit comment
    (rhbz#1761839)
  * tools/osdmaptool.cc: do not use deprecated std::random_shuffle()
    the use of `std::random_shuffle()` was introduced by b946308 .
    (rhbz#1761839)
  * test: Luminous specific change required due to output difference
    (rhbz#1761839)
  * qa/standalone/ceph-helpers.sh: fix mgr module path (rhbz#1761839)
  * test balancer: Backport specific fixes (rhbz#1761839)
  * test: Fix test to use -gt instead of creating an empty file "0"
    (rhbz#1761839)
  * release note: Add pending release notes for already merged code
    (rhbz#1761839)
  * tools: osdmaptool document non-upmap options that were missing
    (rhbz#1784099)
  * doc: Add upmap options to osdmaptool man page and give example
    (rhbz#1784099)
  * osdmaptool: Add --upmap-active to simulate active upmap balancing
    (rhbz#1784099)
  * mgr: Change default upmap_max_deviation to 5 (rhbz#1784099)

 --  <ceph-jenkins@redhat.com>  Wed, 26 Feb 2020 01:09:03 +0000

ceph (12.2.12-91redhat1) stable; urgency=medium

  * rgw: add radosgw-admin subcommand "bucket radoslist"
    (rhbz#1752130)
  * rgw: fix bugs with `radosgw-admin bucket radoslist` (rhbz#1752130)
  * rgw: clean up RGWOrphansSearch return values (rhbz#1752130)
  * rgw: add support for swift dlo/slo with `radosgw-admin bucket
    radoslist` (rhbz#1752130)
  * rgw: fix bug with output on copied multipart objects
    (rhbz#1752130)
  * rgw: prevent slo and dlo loops in listing (rhbz#1752130)
  * rgw: add logging for looping checks (rhbz#1752130)
  * rgw: radosgw-admin radoslist subcommand doesn't list empty objects
    (rhbz#1752130)
  * rgw: updates and fixes to `radsogw-admin radoslist` subcommand
    (rhbz#1752130)
  * rgw: add tooling to support rgw-orphan-list (rhbz#1752130)
  * rgw: rgw-orphan-list script does not work correctly on all linux
    dists (rhbz#1752130)
  * rgw: the 'bucket radoslist' admin subcommand should use ordered
    bucket listing (rhbz#1752130)
  * rgw: add'l logging to ordered bucket listing (rhbz#1778217)

 --  <ceph-jenkins@redhat.com>  Fri, 21 Feb 2020 21:50:33 +0000

ceph (12.2.12-90redhat1) stable; urgency=medium

  * rgw: fix bug with (un)ordered bucket listing and marker w/
    namespace (rhbz#1805376)

 --  <ceph-jenkins@redhat.com>  Fri, 21 Feb 2020 19:29:39 +0000

ceph (12.2.12-89redhat1) stable; urgency=medium

  * Deleted debian/patches/0345-TESTFIX-radosgw-admin-remove-lock-
    from-reshard-cance.patch (rhbz#1756149)

 --  <ceph-jenkins@redhat.com>  Thu, 20 Feb 2020 20:05:13 +0000

ceph (12.2.12-88redhat1) stable; urgency=medium

  * rgw: address 0-length listing results when non-vis entries
    dominate (rhbz#1778217)

 --  <ceph-jenkins@redhat.com>  Wed, 19 Feb 2020 23:02:03 +0000

ceph (12.2.12-87redhat1) stable; urgency=medium

  * radosgw-admin: fix syncs_from in 'bucket sync status'
    (rhbz#1713798)

 --  <ceph-jenkins@redhat.com>  Wed, 19 Feb 2020 22:31:48 +0000

ceph (12.2.12-86redhat1) stable; urgency=medium

  * rgw admin: add tenant argument to reshard cancel (rhbz#1756149)
  * TESTFIX: radosgw-admin: remove lock from 'reshard cancel'
    (rhbz#1756149)

 --  <ceph-jenkins@redhat.com>  Wed, 19 Feb 2020 19:46:16 +0000

ceph (12.2.12-85redhat1) stable; urgency=medium

  * common/ceph_time: Use fixed floating-point notation for mono_clock
    (rhbz#1759699)
  * osdc/Objecter: Add age to the ops (rhbz#1759699)
  * client/MetaRequest: Add age to MetaRequest dump (rhbz#1759699)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Feb 2020 19:29:14 +0000

ceph (12.2.12-84redhat1) stable; urgency=medium

  * Deleted debian/patches/0341-common-ceph_time-Use-fixed-floating-
    point-notation-f.patch (rhbz#1759699)
  * Deleted debian/patches/0342-osdc-Objecter-Add-age-to-the-ops.patch
    (rhbz#1759699)
  * Deleted debian/patches/0343-client-MetaRequest-Add-age-to-
    MetaRequest-dump.patch (rhbz#1759699)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Feb 2020 18:18:50 +0000

ceph (12.2.12-83redhat1) stable; urgency=medium

  * common/ceph_time: Use fixed floating-point notation for mono_clock
    (rhbz#1759699)
  * osdc/Objecter: Add age to the ops (rhbz#1759699)
  * client/MetaRequest: Add age to MetaRequest dump (rhbz#1759699)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Feb 2020 05:01:45 +0000

ceph (12.2.12-82redhat1) stable; urgency=medium

  * client:fix a bug in lseek If offset less than 0, the lseek may
    cause f->pos less than 0. So read or write may error.
    (rhbz#1759696)
  * client: add procession of SEEK_HOLE and SEEK_DATA in lseek.
    (rhbz#1759696)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Feb 2020 04:56:13 +0000

ceph (12.2.12-81redhat1) stable; urgency=medium

  * client: nfs-ganesha with cephfs client, removing dir reports not
    empty (rhbz#1754745)
  * client: return -eio when sync file which unsafe reqs has been
    dropped Fixes:http://tracker.ceph.com/issues/40877 (rhbz#1752164)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Feb 2020 04:43:22 +0000

ceph (12.2.12-80redhat1) stable; urgency=medium

  * mds: allow client to specify its session timeout (rhbz#1729353)
  * mds: add command that config individual client session
    (rhbz#1729353)
  * qa/cephfs: test case for timeout config of individual session
    (rhbz#1729353)
  * client: _readdir_cache_cb() may use the readdir_cache already
    clear (rhbz#1758163)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Feb 2020 04:37:57 +0000

ceph (12.2.12-79redhat1) stable; urgency=medium

  * ceph-volume tests check success message when zapping
    (rhbz#1783412)
  * ceph-volume devices.lvm zap use the identifier to report success
    (rhbz#1783412)
  * rbd: use the ordered throttle for the export action (rhbz#1794704)

 --  <ceph-jenkins@redhat.com>  Wed, 29 Jan 2020 14:13:39 +0000

ceph (12.2.12-78redhat1) stable; urgency=medium

  * test/rgw: add test_concurrent_versioned_object_incremental_sync
    (rhbz#1779334)
  * cls/rgw: only promote instance entries if they sort after current
    instance (rhbz#1779334)
  * rgw: factor out decode_olh_info() (rhbz#1779334)
  * rgw: apply_olh_log filters out older instances of same epoch
    (rhbz#1779334)
  * rgw: allow apply_olh_log to rewrite the same olh version
    (rhbz#1779334)
  * rgw: apply_olh_log ignores RGW_ATTR_OLH_VER decode error
    (rhbz#1779334)

 --  <ceph-jenkins@redhat.com>  Fri, 06 Dec 2019 16:33:27 +0000

ceph (12.2.12-77redhat1) stable; urgency=medium

  * rgw: s3: don't require a body in S3 put-object-acl (rhbz#1779158)

 --  <ceph-jenkins@redhat.com>  Thu, 05 Dec 2019 17:25:59 +0000

ceph (12.2.12-76redhat1) stable; urgency=medium

  * rgw: Fix crash caused by bad content length header (rhbz#1471626)
  * rgw: fix rgw crash when token is not base64 encode (rhbz#1777050)

 --  <ceph-jenkins@redhat.com>  Wed, 27 Nov 2019 18:00:26 +0000

ceph (12.2.12-75redhat1) stable; urgency=medium

  * restful: Query nodes_by_id for items (rhbz#1764919)
  * restful: Use node_id for _gather_leaf_ids (rhbz#1764919)

 --  <ceph-jenkins@redhat.com>  Mon, 11 Nov 2019 19:12:30 +0000

ceph (12.2.12-74redhat1) stable; urgency=medium

  * rgw: allow reshard log entries for non-existent buckets to be
    cancelled (rhbz#1749124)

 --  <ceph-jenkins@redhat.com>  Sun, 10 Nov 2019 19:55:33 +0000

ceph (12.2.12-73redhat1) stable; urgency=medium

  * common/config: hold lock while accessing mutable container
    (rhbz#1744529)
  * osd/PG: Add PG to large omap log message (rhbz#1749874)
  * tools/rados: allow list objects in a pg (rhbz#1752163)
  * tools/rados: call pool_lookup() after rados is connected This
    commit fixes a segmentation fault when using --pgid option in
    rados ls command in combination with --pool/-p option. The reason
    for the crash was that we can not use the rados object before
    connecting it with the cluster using rados.init_with_context().
    (rhbz#1752163)
  * tools/rados: add --pgid in help (rhbz#1752163)
  * tools/rados: always call rados.shutdown() before exit()
    (rhbz#1752163)
  * rgw: crypt: permit RGW-AUTO/default with SSE-S3 headers
    (rhbz#1749489)
  * Bucket link using '--bucket-new-name' should consider cases when a
    bucket is renamed under the same tenanted/non-tenanted namespace.
    Change the condition such that a full comparison of the buckets is
    done while deleting old bucket instance. (rhbz#1757298)

 --  <ceph-jenkins@redhat.com>  Fri, 08 Nov 2019 20:44:13 +0000

ceph (12.2.12-72redhat1) stable; urgency=medium

  * rgw: mismatched indices in parallel vectors in
    RGWRados::cls_bucket_list_ordered (rhbz#1766448)

 --  <ceph-jenkins@redhat.com>  Fri, 01 Nov 2019 17:16:40 +0000

ceph (12.2.12-71redhat1) stable; urgency=medium

  * rgw: crypt: permit RGW-AUTO/default with SSE-S3 headers
    (rhbz#1749489)
  * Bucket link using '--bucket-new-name' should consider cases when a
    bucket is renamed under the same tenanted/non-tenanted namespace.
    Change the condition such that a full comparison of the buckets is
    done while deleting old bucket instance. (rhbz#1757298)

 --  <ceph-jenkins@redhat.com>  Wed, 30 Oct 2019 21:57:35 +0000

ceph (12.2.12-70redhat1) stable; urgency=medium

  * tools/rados: allow list objects in a pg (rhbz#1752163)
  * tools/rados: call pool_lookup() after rados is connected This
    commit fixes a segmentation fault when using --pgid option in
    rados ls command in combination with --pool/-p option. The reason
    for the crash was that we can not use the rados object before
    connecting it with the cluster using rados.init_with_context().
    (rhbz#1752163)
  * tools/rados: add --pgid in help (rhbz#1752163)
  * tools/rados: always call rados.shutdown() before exit()
    (rhbz#1752163)

 --  <ceph-jenkins@redhat.com>  Thu, 24 Oct 2019 10:16:36 +0000

ceph (12.2.12-69redhat1) stable; urgency=medium

  * osd/PG: Add PG to large omap log message (rhbz#1749874)

 --  <ceph-jenkins@redhat.com>  Thu, 24 Oct 2019 06:10:10 +0000

ceph (12.2.12-68redhat1) stable; urgency=medium

  * common/config: hold lock while accessing mutable container
    (rhbz#1744529)

 --  <ceph-jenkins@redhat.com>  Mon, 21 Oct 2019 14:03:12 +0000

ceph (12.2.12-67redhat1) stable; urgency=medium

  * rgw: when resharding store progress json only when both verbose
    and out are specified. (rhbz#1753588)
  * rgw: adjust allowable bucket index shard counts for dynamic
    resharding (rhbz#1753588)
  * rgw: reduce per-shard entry count during ordered bucket listing
    (rhbz#1753588)

 --  <ceph-jenkins@redhat.com>  Tue, 15 Oct 2019 18:32:02 +0000

ceph (12.2.12-66redhat1) stable; urgency=medium

  * mgr: drop GIL in StandbyPyModule::get_config (rhbz#1753178)

 --  <ceph-jenkins@redhat.com>  Sat, 28 Sep 2019 01:31:47 +0000

ceph (12.2.12-65redhat1) stable; urgency=medium

  * mgr/BaseMgrStandbyModule: drop GIL in ceph_config_get()
    (rhbz#1753178)

 --  <ceph-jenkins@redhat.com>  Fri, 27 Sep 2019 17:41:33 +0000

ceph (12.2.12-64redhat1) stable; urgency=medium

  * rgw: rgw_link_bucket() uses local objv in absense of pinfo
    (rhbz#1753000)

 --  <ceph-jenkins@redhat.com>  Wed, 18 Sep 2019 14:40:50 +0000

ceph (12.2.12-63redhat1) stable; urgency=medium

  * ceph-volume: lvm.activate: Return an error if WAL/DB devices
    absent (rhbz#1719971)

 --  <ceph-jenkins@redhat.com>  Mon, 16 Sep 2019 18:50:00 +0000

ceph (12.2.12-62redhat1) stable; urgency=medium

  * ceph-volume lvm.zap fix cleanup for db partitions (rhbz#1728710)
  * ceph-volume lvm.zap: retry wipefs several times to prevent race
    condition failures (rhbz#1728710)
  * ceph-volume tests: verify that wipefs tries several times
    (rhbz#1728710)

 --  <ceph-jenkins@redhat.com>  Thu, 12 Sep 2019 18:50:55 +0000

ceph (12.2.12-61redhat1) stable; urgency=medium

  * radosgw-admin: 'datalog trim' takes shard-id and loops until done
    (rhbz#1732101)
  * radosgw-admin: 'mdlog trim' loops until done (rhbz#1732101)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 20:19:27 +0000

ceph (12.2.12-60redhat1) stable; urgency=medium

  * rgw: RGWCoroutine::call(nullptr) sets retcode=0 (rhbz#1746127)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 20:14:07 +0000

ceph (12.2.12-59redhat1) stable; urgency=medium

  * Documentation for 'bucket chown' (rhbz#1704901)
  * This commit deals with renaming user. Under the hood, the
    attributes of an existing user are moved under the new user
    namespace specified by "--new-uid". It calls bucket link and
    bucket chown to link the buckets and objects to the new user
    namespace. Access and secret keys of the user(and the subusers)
    are preserved. (rhbz#1704901)
  * Create new user before deleting existing user. Migrate buckets one
    at a time. (rhbz#1704901)
  * Modified rgw_store_user_info() checks to suit user rename. Added a
    helper function to modify bucket acl. Rebased onto master.
    (rhbz#1704901)
  * Minor fixes. (rhbz#1704901)
  * Added user rename test (rhbz#1704901)
  * Updated help.t with user rename command (rhbz#1704901)
  * Fixed line wrap (rhbz#1704901)
  * On new uid check, return EEXIST. (rhbz#1704901)
  * Added test to verify user rename failure. (rhbz#1704901)
  * rgw: fix version tracking across bucket link steps (rhbz#1744777)
  * rgw: simplify bucket chown (rhbz#1704901)
  * rgw: add rgw_remove_user_buckets_index (rhbz#1704901)
  * rgw: user rename operates on 'stub' user (rhbz#1704901)
  * rgw: user rename overwrites new user with --yes-i-really-mean-it
    (rhbz#1704901)
  * rgw: user rename calls update() to write final user (rhbz#1704901)
  * rgw: consolidate RGWUser::execute_rename (rhbz#1704901)
  * rgw: add rename_swift_keys for user rename (rhbz#1704901)
  * rgw: fix if case for bucket rename (rhbz#1747207)
  * rgw: define rgw_bucket::full_equal(...) method (rhbz#1747207)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 19:09:58 +0000

ceph (12.2.12-58redhat1) stable; urgency=medium

  * rgw: sanitize the HTTP_* http header elements

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 19:04:25 +0000

ceph (12.2.12-57redhat1) stable; urgency=medium

  * rgw: don't throw when accept errors are happening on frontend
    (rhbz#1740668)
  * rgw: make sure object's idtag is updated when available
    (rhbz#1567949)
  * rgw: make rollback refcount tag match (rhbz#1567949)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 13:46:11 +0000

ceph (12.2.12-56redhat1) stable; urgency=medium

  * rgw: ldap auth: S3 auth failure should return InvalidAccessKeyId
    (rhbz#1721033)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 12:23:05 +0000

ceph (12.2.12-55redhat1) stable; urgency=medium

  * rgw: Fix expiration header does not return the earliest rule that
    will be applied (rhbz#1731486)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 12:05:05 +0000

ceph (12.2.12-54redhat1) stable; urgency=medium

  * rgw: set "api_name" to default_zonegroup_name for default
    zonegroup (rhbz#1744766)
  * rgw: fix issue for CreateBucket with BucketLocation param under
    default zonegroup (rhbz#1744766)
  * qa: fix for s3tests.functional.test_s3.test_bucket_get_location
    failed (rhbz#1744766)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 10:25:40 +0000

ceph (12.2.12-53redhat1) stable; urgency=medium

  * osd/osd_types: separate accounting for data, omap, and metadata
    (rhbz#1671585)
  * osd: drop useless OSDService::update_osd_stat() (rhbz#1671585)
  * osd: decouple statfs update from hb peers, pg count (rhbz#1671585)
  * kv: add per-prefix space estimation (rhbz#1671585)
  * os/bluestore/BlueFS: drop get_fs_usage(); add get_used()
    (rhbz#1671585)
  * os/bluestore: report omap and internal metadata usage
    (rhbz#1671585)
  * osd/OSDMap: include data, omap in 'osd df' output (rhbz#1671585)
  * os/ObjectMap: add get_db() accessor (rhbz#1671585)
  * os/filestore: estimate omap_allocated (rhbz#1671585)
  * luminous: osd: Implement lazy omap usage statistics (rhbz#1671585)
  * luminous: tests: Add test for lazy omap stat collection
    (rhbz#1671585)
  * luminous: osd: Modify lazy omap stats to only show one copy
    (rhbz#1671585)
  * luminous: tests: Convert to boost::regex and add blocking scrub
    (rhbz#1671585)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Sep 2019 07:55:37 +0000

ceph (12.2.12-52redhat1) stable; urgency=medium

  * os/bluestore: fix out-of-bound access in bmap allocator.
    (rhbz#1728069)
  * os/bluestore: call fault_range properly prior to looking for blob
    to reuse (rhbz#1728069)
  * os/bluestore/BitmapFreelistManager: disable
    bluestore_debug_freelist (rhbz#1728069)
  * os/bluestore: fix length overflow. (rhbz#1728069)
  * os/bluestore: fix duplicate allocations in bmap allocator
    (rhbz#1728069)
  * os/bluestore: distinguis request and results in bitmap alloc log
    (rhbz#1728069)
  * os/bluestore: BitmapAllocator::allocate: log new extents only
    (rhbz#1728069)
  * os/bluestore: default to bitmap allocator for bluestore/bluefs
    (rhbz#1728069)
  * BlueStore/allocator: Improved (but slower) method of calculating
    fragmentation. (rhbz#1728357)
  * BlueStore/allocator: Give allocator names, so they can be
    distinguished. (rhbz#1728357)
  * BlueStore/allocator: Add ability to dump free allocations via
    admin socket interface. (rhbz#1728357)
  * common/admin_socket: Adapted old protocol to use new protocol,
    simplifies handle path. (rhbz#1728357)
  * common/admin_socket: Add 'execute_command' that allows for self-
    reflection. (rhbz#1728357)
  * tools/ceph-bluestore-tool: add commands free-dump and free-score
    (rhbz#1728357)
  * os/bluestore: Import necessary functions to fix rebase.
    (rhbz#1728357)
  * BlueStore/allocator: Add command to inspect how much BlueStore's
    block can go to BlueFS. Moved reduced BlueFSDeviceExpander
    interface. Signed-off-by: Adam Kupczyk <akupczyk@redhat.com>
    (cherry picked from commit
    16a9dac1678613b45fab9576b8bc4368a58c7434) (rhbz#1728357)
  * test/objectstore: Allocator_test. Add test for dumping free
    regions and fragmentation_score. (rhbz#1728357)
  * doc/rados/operations/health-checks: document BlueStore
    fragmentation and BlueFS space available features (rhbz#1728357)
  * os/bluestore/BlueStore.cc: _open_fm() expects a bool
    (rhbz#1728357)
  * os/bluestore: cleanup around allocator calls (rhbz#1728069)
  * os/bluestore/BlueFS: add bluefs_shared_alloc_size (rhbz#1728069)
  * os/bluestore/BlueFS: apply shared_alloc_size to shared device
    (rhbz#1728069)
  * os/bluestore: gift freespace to bluefs based on shared_alloc_size
    (rhbz#1728069)
  * os/bluestore: try to gift large extents, then fall back to small
    extents (rhbz#1728069)
  * os/bluestore: record gifts < expected size in superblock
    (rhbz#1728069)
  * os/bluestore/BlueFS: Move bluefs alloc size initialization log
    message to log level 1 Fixes:
    https://tracker.ceph.com/issues/41399 (rhbz#1728069)

 --  <ceph-jenkins@redhat.com>  Mon, 09 Sep 2019 21:04:34 +0000

ceph (12.2.12-51redhat1) stable; urgency=medium

  * common/options: Set concurrent bluestore rocksdb compactions to 2
    (rhbz#1735355)
  * common/options.cc: Lower the default value of
    osd_deep_scrub_large_omap_object_key_threshold (rhbz#1725163)

 --  <ceph-jenkins@redhat.com>  Mon, 09 Sep 2019 18:50:07 +0000

ceph (12.2.12-50redhat1) stable; urgency=medium

  * client: fix "ceph.dir.rctime" vxattr value (rhbz#1720004)

 --  <ceph-jenkins@redhat.com>  Mon, 09 Sep 2019 15:33:48 +0000

ceph (12.2.12-49redhat1) stable; urgency=medium

  * Client: unlink dentry for inode with llref=0 (rhbz#1737504)
  * ceph_volume_client: remove use of obsolete mds cmd (rhbz#1724366)
  * ceph_volume_client: fix usage of get_mds_map() (rhbz#1724366)
  * qa: use fs rm_data_pool (rhbz#1724366)
  * ceph-volume-client: fix command argument order (rhbz#1724366)
  * qa: fix mdsmap lookup (rhbz#1724366)
  * mds: check dir fragment to split dir if mkdir makes it oversized.
    In handle_client_mkdir we hit_dir (via hit_inode) in mkdir finish
    callback, but by then we might have overshot the split size
    (multiple mkdir in flight), so check dir fragment for an early
    chance to split the dir if mkdir makes it oversized.
    (rhbz#1716589)
  * common/secret.c: fix key parsing when doing a remount
    (rhbz#1720000)

 --  <ceph-jenkins@redhat.com>  Mon, 09 Sep 2019 15:29:28 +0000

ceph (12.2.12-48redhat1) stable; urgency=medium

  * rgw: fix cls_bucket_list_unordered() partial results returnied
    after -ENOENT dirent is encountered (rhbz#1750115)
  * rgw: fix memory growth while deleteing objects with radosgw-admin
    bucket rm --bucket=$BIG_BUCKET --bypass-gc --purge-objects by
    freeing <rgw_obj, RGWObjState> map elements allocated at
    https://github.com/ceph/ceph/blob/master/src/rgw/rgw_rados.cc#L236
    result = &objs_state[obj]; (rhbz#1750119)

 --  <ceph-jenkins@redhat.com>  Mon, 09 Sep 2019 08:59:37 +0000

ceph (12.2.12-47redhat1) stable; urgency=medium

  * rgw: beast frontend no longer experimental (rhbz#1749754)

 --  <ceph-jenkins@redhat.com>  Fri, 06 Sep 2019 18:49:24 +0000

ceph (12.2.12-46redhat1) stable; urgency=medium

  * librbd: improve object map performance under high IOPS workloads
    (rhbz#1683751)

 --  <ceph-jenkins@redhat.com>  Wed, 04 Sep 2019 17:40:13 +0000

ceph (12.2.12-45redhat1) stable; urgency=medium

  * rgw: asio: check the remote endpoint before processing requests
    (rhbz#1739515)

 --  <ceph-jenkins@redhat.com>  Fri, 23 Aug 2019 15:49:19 +0000

ceph (12.2.12-44redhat1) stable; urgency=medium

  * Deleted debian/patches/0212-common-secret.c-fix-key-parsing-when-
    doing-a-remount.patch (rhbz#1720000)
  * Deleted debian/patches/0213-client-fix-ceph.dir.rctime-vxattr-
    value.patch (rhbz#1720004)

 --  <ceph-jenkins@redhat.com>  Thu, 22 Aug 2019 22:34:07 +0000

ceph (12.2.12-43redhat1) stable; urgency=medium

  * common/secret.c: fix key parsing when doing a remount
    (rhbz#1720000)
  * client: fix "ceph.dir.rctime" vxattr value (rhbz#1720004)

 --  <ceph-jenkins@redhat.com>  Thu, 22 Aug 2019 21:57:29 +0000

ceph (12.2.12-42redhat1) stable; urgency=medium

  * rgw_file: readdir: do not construct markers w/leading '/'
    (rhbz#1729574)

 --  <ceph-jenkins@redhat.com>  Wed, 14 Aug 2019 20:01:13 +0000

ceph (12.2.12-41redhat1) stable; urgency=medium

  * Modified debian/patches/0210-rgw_file-dont-deadlock-in-
    advance_mtime.patch (rhbz#1732706)

 --  <ceph-jenkins@redhat.com>  Thu, 08 Aug 2019 23:02:18 +0000

ceph (12.2.12-40redhat1) stable; urgency=medium

  * rgw_file: dont deadlock in advance_mtime() (rhbz#1732706)

 --  <ceph-jenkins@redhat.com>  Thu, 08 Aug 2019 20:42:26 +0000

ceph (12.2.12-39redhat1) stable; urgency=medium

  * Modified debian/patches/0209-RGWLC-fix-expiration-header-tag-
    match.patch (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 01 Aug 2019 19:26:45 +0000

ceph (12.2.12-38redhat1) stable; urgency=medium

  * RGWLC: fix expiration header tag match (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 01 Aug 2019 14:49:42 +0000

ceph (12.2.12-37redhat1) stable; urgency=medium

  * bluestore: print aio in batch (rhbz#1725536)
  * os/bluestore: fix aio pwritev lost data problem. (rhbz#1725536)
  * ceph_test_objectstore: add very_large_write test (rhbz#1725536)

 --  <ceph-jenkins@redhat.com>  Thu, 11 Jul 2019 18:56:46 +0000

ceph (12.2.12-36redhat1) stable; urgency=medium

  * rgw: sync counters: drop spaces from counter names (rhbz#1684642)

 --  <ceph-jenkins@redhat.com>  Fri, 28 Jun 2019 15:41:29 +0000

ceph (12.2.12-35redhat1) stable; urgency=medium

  * rgw: allow multipart upload abort to proceed

 -- Thomas Serlin <tserlin@redhat.com>  Thu, 27 Jun 2019 23:55:13 -0400

ceph (12.2.12-34redhat1) stable; urgency=medium

  * rgw: fix list bucket with start maker and delimiter '/' will miss
    next object with char '0' (rhbz#1720741)
  * rgw: always generate after delimiter char to skip directory
    (rhbz#1720741)

 --  <ceph-jenkins@redhat.com>  Thu, 27 Jun 2019 19:34:29 +0000

ceph (12.2.12-33redhat1) stable; urgency=medium

  * Modified debian/patches/0201-rgw-OutputDataSocket-actually-
    discard-data-on-full-b.patch (rhbz#1708346)

 --  <ceph-jenkins@redhat.com>  Thu, 27 Jun 2019 18:20:59 +0000

ceph (12.2.12-32redhat1) stable; urgency=medium

  * rgw/OutputDataSocket: actually discard data on full buffer
    (rhbz#1708346)

 --  <ceph-jenkins@redhat.com>  Thu, 27 Jun 2019 17:47:17 +0000

ceph (12.2.12-31redhat1) stable; urgency=medium

  * rgw: object expirer: handle resharded buckets (rhbz#1703557)
  * rgw_common: introduce a decode_bl function to decode a bl to type
    (rhbz#1703557)
  * rgw: admin: introduce objects expire-stale list and rm
    (rhbz#1703557)
  * rgw: rgw_bucket: set BucketInfo as const in rgw_remove_object
    (rhbz#1703557)

 --  <ceph-jenkins@redhat.com>  Mon, 24 Jun 2019 18:40:03 +0000

ceph (12.2.12-30redhat1) stable; urgency=medium

  * cls/rgw: keep issuing bilog trim ops after reset (rhbz#1713779)

 --  <ceph-jenkins@redhat.com>  Mon, 24 Jun 2019 15:55:53 +0000

ceph (12.2.12-29redhat1) stable; urgency=medium

  * rgw: fix header timestamp (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Mon, 24 Jun 2019 15:16:40 +0000

ceph (12.2.12-28redhat1) stable; urgency=medium

  * rgw: delete_obj_index() takes mtime for bilog (rhbz#1599852)

 --  <ceph-jenkins@redhat.com>  Fri, 21 Jun 2019 21:41:05 +0000

ceph (12.2.12-27redhat1) stable; urgency=medium

  * rgw: return ERR_NO_SUCH_BUCKET early while evaluating bucket
    policy (rhbz#1705922)

 --  <ceph-jenkins@redhat.com>  Fri, 21 Jun 2019 04:05:46 +0000

ceph (12.2.12-26redhat1) stable; urgency=medium

  * Modified debian/patches/0191-rgw_file-introduce-fast-S3-Unix-
    stats-immutable.patch (rhbz#1708587)

 --  <ceph-jenkins@redhat.com>  Thu, 20 Jun 2019 18:09:41 +0000

ceph (12.2.12-25redhat1) stable; urgency=medium

  * rgw: update the "radosgw-admin reshard status" provide admin
    friendly reshard status output and command documentation with
    expected output examples (rhbz#1639712)

 --  <ceph-jenkins@redhat.com>  Thu, 20 Jun 2019 16:08:52 +0000

ceph (12.2.12-24redhat1) stable; urgency=medium

  * rgw_file: advance_mtime() should consider namespace expiration
  * rgw_file: introduce fast S3 Unix stats (immutable) (rhbz#1708587)

 -- Thomas Serlin <tserlin@redhat.com>  Thu, 20 Jun 2019 00:57:15 -0400

ceph (12.2.12-23redhat1) stable; urgency=medium

  * common/options: add osd_map_message_max_bytes (rhbz#1720205)
  * mon/OSDMonitor: limit MOSDMap message size by bytes (rhbz#1720205)

 --  <ceph-jenkins@redhat.com>  Wed, 19 Jun 2019 14:57:45 +0000

ceph (12.2.12-22redhat1) stable; urgency=medium

  * ceph-volume: use the Device.rotational property instead of sys_api
    (rhbz#1666822)

 --  <ceph-jenkins@redhat.com>  Tue, 18 Jun 2019 17:00:19 +0000

ceph (12.2.12-21redhat1) stable; urgency=medium

  * mds: don't carry ref in MDSRankDispatcher::ms_dispatch
    (rhbz#1721165)

 --  <ceph-jenkins@redhat.com>  Mon, 17 Jun 2019 14:23:09 +0000

ceph (12.2.12-20redhat1) stable; urgency=medium

  * rgw_file: fix readdir eof() calc--caller stop implies !eof
    (rhbz#1708587)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Jun 2019 21:13:32 +0000

ceph (12.2.12-19redhat1) stable; urgency=medium

  * mds: reset heartbeat inside big loop (rhbz#1714810)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Jun 2019 17:30:18 +0000

ceph (12.2.12-18redhat1) stable; urgency=medium

  * mount.ceph.c: do not pass nofail to the kernel (rhbz#1702091)
  * mds: remove superfluous error in StrayManager::advance_delayed()
    (rhbz#1702092)
  * mds: open import bounding dirfrags in batch (rhbz#1702092)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Jun 2019 03:30:46 +0000

ceph (12.2.12-17redhat1) stable; urgency=medium

  * mds: resolve memory leak of recall gather (rhbz#1685734)
  * mds: output full details for recall threshold (rhbz#1685734)
  * mds: avoid gather assertion when subs exist (rhbz#1685734)
  * mds: drive log flush and cache trim during recall (rhbz#1685734)
  * mds: add 2nd order recall throttle (rhbz#1685734)
  * qa: check cache dump works without timeout (rhbz#1685734)
  * qa: config recall settings to test cache drop (rhbz#1685734)
  * mds: initialize cap_revoke_eviction_timeout with conf
    (rhbz#1702097)
  * mds/server: check directory split after rename. fixes:
    http://tracker.ceph.com/issues/38994 Signed-off-by: Shen Hang
    <harryshen18@gmail.com> (rhbz#1702099)
  * mds: drop reconnect message from non-existent session
    (rhbz#1702100)
  * client: clean up error checking and return of _lookup_parent
    (rhbz#1715086)
  * mds: avoid sending too many osd requests at once after mds
    restarts Fixes: http://tracker.ceph.com/issues/40028
    (rhbz#1714814)
  * mds: there is an assertion when calling Beacon::shutdown()
    (rhbz#1702093)

 --  <ceph-jenkins@redhat.com>  Fri, 14 Jun 2019 03:26:45 +0000

ceph (12.2.12-16redhat1) stable; urgency=medium

  * mds: fix corner case of replaying open sessions (rhbz#1718135)
  * mds: ignore sessionmap version mismatch if mds_wipe_sessions is
    set (rhbz#1718135)

 --  <ceph-jenkins@redhat.com>  Thu, 13 Jun 2019 19:48:58 +0000

ceph (12.2.12-15redhat1) stable; urgency=medium

  * osd/OSDMap: Replace get_out_osds with get_out_existing_osds
    (rhbz#1696691)
  * msg: output peer address when detecting bad CRCs (rhbz#1696227)

 -- Thomas Serlin <tserlin@redhat.com>  Tue, 11 Jun 2019 10:47:53 -0400

ceph (12.2.12-14redhat1) stable; urgency=medium

  * rgw_file: permit lookup_handle to lookup root_fh (rhbz#1715954)
  * rgw_file: all directories are virtual with respect to contents
    (rhbz#1715954)
  * rgw: permit rgw-admin to populate user info by access-key
    (rhbz#1668896)
  * rgw: conditionally allow non-unique email addresses (rhbz#1668897)
  * rgw_file: allocate new id for continued request (rhbz#1715946)

 -- Thomas Serlin <tserlin@redhat.com>  Sat, 08 Jun 2019 15:40:12 -0400

ceph (12.2.12-13redhat1) stable; urgency=medium

  * rgw_file: include tenant when hashing bucket names (rhbz#1708587)
  * rgw_file: include tenant in hashes of object (rhbz#1708587)
  * rgw_file: pretty-print fh_key (rhbz#1708587)

 --  <ceph-jenkins@redhat.com>  Wed, 05 Jun 2019 15:45:49 +0000

ceph (12.2.12-12redhat1) stable; urgency=medium

  * rgw: use chunked encoding to get partial results out faster
    (rhbz#1717135)

 --  <ceph-jenkins@redhat.com>  Tue, 04 Jun 2019 19:47:35 +0000

ceph (12.2.12-11redhat1) stable; urgency=medium

  * restful: Expose perf counters (rhbz#1669838)

 --  <ceph-jenkins@redhat.com>  Tue, 04 Jun 2019 16:48:13 +0000

ceph (12.2.12-10redhat1) stable; urgency=medium

  * Deleted debian/patches/0154-rgw-permit-rgw-admin-to-populate-user-
    info-by-access.patch (rhbz#1668896)
  * Deleted debian/patches/0155-rgw-conditionally-allow-non-unique-
    email-addresses.patch (rhbz#1668897)
  * Deleted debian/patches/0156-rgw_file-allocate-new-id-for-
    continued-request.patch (rhbz#1715946)

 --  <ceph-jenkins@redhat.com>  Mon, 03 Jun 2019 06:25:47 +0000

ceph (12.2.12-9redhat1) stable; urgency=medium

  * rgw_file: allocate new id for continued request Fixed:
    http://tracker.ceph.com/issues/37734 (rhbz#1715946)

 --  <ceph-jenkins@redhat.com>  Fri, 31 May 2019 19:12:06 +0000

ceph (12.2.12-8redhat1) stable; urgency=medium

  * Modified debian/patches/0155-rgw-conditionally-allow-non-unique-
    email-addresses.patch (rhbz#1668897)

 --  <ceph-jenkins@redhat.com>  Fri, 31 May 2019 18:19:26 +0000

ceph (12.2.12-7redhat1) stable; urgency=medium

  * rgw: permit rgw-admin to populate user info by access-key
    (rhbz#1668896)
  * rgw: conditionally allow non-unique email addresses (rhbz#1668897)

 --  <ceph-jenkins@redhat.com>  Thu, 30 May 2019 21:16:14 +0000

ceph (12.2.12-6redhat1) stable; urgency=medium

  * Revert "Disable civetweb submodule patch temporarily"

 -- Thomas Serlin <tserlin@redhat.com>  Tue, 14 May 2019 18:12:38 -0400

ceph (12.2.12-5redhat1) stable; urgency=medium

  * rgw_lc: support for object tagging in LC policies (rhbz#1654588)
  * rgw_tag: implement emplace, empty & clear methods (rhbz#1654588)
  * rgw: rgw_tag_s3: make dump_xml a const member function
    (rhbz#1654588)
  * rgw: lifcycle: don't reject compound rules with empty prefix
    (rhbz#1654588)
  * rgw: lifecycle: alternate solution to prefix_map conflict
    (rhbz#1666910)
  * rgw-admin: add a new lc get command (rhbz#1654588)
  * ceph-dencoder: add support for RGWLifecycleConfiguration
    (rhbz#1654588)
  * RGWLC: debug tags in rgwlc_s3_expiration_header (rhbz#1666910)
  * rgw: complete expiration header (object tags) (rhbz#1666910)
  * rgw: lifecycle: backport: add fmt/{format,format-inl,core}.h
    (rhbz#1666910)
  * rgw: lifecycle: fix RGWLifecycleConfiguration::valid()
    (rhbz#1654588)
  * rgw: lifecycle: fix object iteration for >1 same-prefix rules
    (rhbz#1666910)
  * rgw:lc return error if expiration_date is not midnight in
    Lifecycleconfiguration xml (rhbz#1688330)
  * rgw:lc: using midnight time to check obj expiration (rhbz#1688330)
  * rgw: RGWLC: handle versioning case (rhbz#1684435)
  * rgw: lifecycle code cleanup (rhbz#1688869)
  * rgw admin: implement a lc fix option (rhbz#1688869)
  * cls_rgw: alias the LC entries as rgw_lc_entry_t (rhbz#1688869)
  * cls rgw: implement a method to get a single LC entry
    (rhbz#1688869)
  * cls_rgw: implement a read_omap_entry method (rhbz#1688869)
  * rgw: add a fix_lc_shards AdminOp that can fix lc shards for all
    the buckets (rhbz#1688869)
  * rgw admin: use the new AdminOp to fix lc shards (rhbz#1688869)
  * rgw: lc fix: protect list_keys and formatter with a scope_guard
    (rhbz#1688869)
  * doc: add troubleshooting notes on reshard admin clis
    (rhbz#1688869)
  * cls_rgw: fix issue with gc code using the wrong name
    (rhbz#1688869)
  * rgw: backport: remove c++17isms (rhbz#1688869)
  * rgw: lc: fix starts_with result flip (not upstream) (rhbz#1666910
    rhbz#1666910)
  * rgw: drop entries only if the markers do not match. (rhbz#1688869)
  * rgw: fix header timestamp (rhbz#1666910)
  * rgw_lc: use a new bl while encoding RGW_ATTR_LC (rhbz#1708650)
  * rgw: Cache notify fault injection (rhbz#1522881)
  * rgw: Robustly notify (rhbz#1522881)
  * rgw-admin: support for processing all gc objects including
    unexpired. (rhbz#1548564)
  * rgw: use aio for gc processing (rhbz#1548564)
  * rgw: use a single gc io manager for all shards (rhbz#1548564)
  * rgw: trim gc index using aio (rhbz#1548564)
  * rgw: make gc concurrenct io size configurable (rhbz#1548564)
  * rgw: gc aio, replace lists with other types (rhbz#1548564)
  * rgw: use vector for remove_tags in gc aio (rhbz#1548564)
  * rgw: add option for relaxed region enforcement (rhbz#1585307)
  * rgw: enable override of tcmalloc linkage (rhbz#1635805)
  * rgw: RGWBucket::link supports tenant (rhbz#1595379)
  * Add several types to ceph-dencoder. (rhbz#1595379)
  * Add "--bucket-new-name" option to radosgw-admin. (rhbz#1595379)
  * rgw: bucket link: Add ability to name bucket w/ different tenant.
    (rhbz#1595379)
  * rgw: bucket link: simplify use of get bucket info. (rhbz#1595379)
  * rgw: bucket link: use data from bucket_info to rewrite
    bucket_endpoint. (rhbz#1595379)
  * rearrange / simplify RGWBucket::link logic - start bucket move
    support (rhbz#1595379)
  * rgw: bucket link: base "bucket move" (tenant id only)
    (rhbz#1595379)
  * rgw: bucket link: "bucket move"; handle bucket names too.
    (rhbz#1595379)
  * rgw: bucket link: "bucket move" documentation changes
    (rhbz#1595379)
  * rgw: policy: refactor has_conditional (rhbz#1471626)
  * rgw: Added code for STS AssumeRole. (rhbz#1471626)
  * rgw: Adding manager, handler etc for STS. (rhbz#1471626)
  * rgw: Added max_session_duration and policy parsing to RGW Roles.
    (rhbz#1471626)
  * sts: qualify encode/decode as :: (rhbz#1471626)
  * rgw: Added code to determine token expiration time using role.
    (rhbz#1471626)
  * rgw: Minor Fixes. (rhbz#1471626)
  * rgw: Added code to store arn and policy passed as part of assume
    role. (rhbz#1471626)
  * rgw: Renamed STS related files. (rhbz#1471626)
  * rgw: Incorporating review comments (rhbz#1471626)
  * rgw: Changed session token format. (rhbz#1471626)
  * rgw: Code for making STS Key configurable. (rhbz#1471626)
  * rgw: Added code for auth using temp credentials returned by STS.
    (rhbz#1471626)
  * rgw: STS authentication correction. (rhbz#1471626)
  * rgw: Perm mask. (rhbz#1471626)
  * rgw: Code for GetSessionToken REST API. (rhbz#1471626)
  * rgw: STS auth changes to make sure that other engines are not
    aware of session token. (rhbz#1471626)
  * rgw: STS auth failures will return reject. (rhbz#1471626)
  * rgw: Proper result for XML formatting. (rhbz#1471626)
  * rgw: Adding ops for V4 authentication. (rhbz#1471626)
  * rgw: Adding documentation for STS Lite. (rhbz#1471626)
  * rgw: Code to make S3 and STS co-exist in same namespace.
    (rhbz#1471626)
  * rgw: POST request handling for boto compliance. (rhbz#1471626)
  * rgw: Check for Access Key during STS Auth. (rhbz#1471626)
  * STS: remove c++17 isms (rhbz#1471626)
  * rgw: Correcting the default value of sts max session duration.
    (rhbz#1471626)
  * rgw: Changing default s3 auth order. (rhbz#1471626)
  * rgw: Correct permission evaluation to allow only admin users to
    work with Roles. (rhbz#1638219)
  * rgw: Fix for buffer overflow in STS op_post(). (rhbz#1471626)
  * rgw: Fixes to STS Lite documentation. (rhbz#1471626)
  * rgw: Minor fixes to AssumeRole for boto compliance. (rhbz#1471626)
  * rgw: Minor fixes to radosgw-admin commands for a role.
    (rhbz#1471626)
  * rgw: Adding documentation for Roles. (rhbz#1471626)
  * rgw: move keystone secrets from ceph.conf to files (rhbz#1637529)
  * rgw: move keystone secrets from ceph.conf to files (rhbz#1637529)
  * rgw: Initial commit for User Policy REST APIs. (rhbz#1471626)
  * rgw: User Policy evaluation for bucket/object/user permission.
    (rhbz#1471626)
  * rgw: Permission evaluation for User Policies. (rhbz#1471626)
  * rgw: Permission evaluation for Roles. (rhbz#1471626)
  * rgw: Using bitset for Actions to allow for more action op codes.
    (rhbz#1471626)
  * rgw: Fixing error codes while user policy is parsed.
    (rhbz#1471626)
  * rgw: Adding unittests for User policies. (rhbz#1471626)
  * rgw: Corrected code for ARNs for entities that have a path.
    (rhbz#1471626)
  * rgw: Policy code for STS. (rhbz#1471626)
  * rgw: Fixes to User Policy code for CreateBucket and
    ListAllBuckets. (rhbz#1471626)
  * rgw: Fixing user perm evaluation when no policy is supplied to a
    role. (rhbz#1471626)
  * rgw: Fix verify_user_permission for user policy evaluation.
    (rhbz#1471626)
  * rgw: Correcting permission evaluation for Roles. (rhbz#1471626)
  * rgw: Correcting perm evaluation when a bucket policy is not
    attached, but a user policy is. (rhbz#1471626)
  * rgw: Don't check for Principal in User Policies. (rhbz#1471626)
  * STS: remove c++17 isms (rhbz#1471626)
  * rgw: properly avoid accessing null user_acl (rhbz#1653580)
  * rgw: Replacing std::regex with boost::regex. (rhbz#1650405)
  * rgw: Fix for permission evaluation for anonymous users.
    (rhbz#1653580)
  * rgw: Fix for role permission evaluation based on TYPE_ROLE.
    (rhbz#1653580)
  * rgw: fix bad versioned bucket stats after reshard (rhbz#1653314)
  * rgw: minor clean-up -- convert enum BIIndexType to enum class
    (rhbz#1653314)
  * rgw: reshard improvements (rhbz#1655705)
  * rgw: move all reshard config options out of legacy_config_options
    (rhbz#1655705)
  * rgw: fix bad user stats on versioned bucket after reshard
    (rhbz#1653314 rhbz#1655842)
  * rgw: resolve bug where marker was not advanced during garbage
    collection (rhbz#1674436)
  * rgw: resolve bugs and clean up garbage collection code
    (rhbz#1674436 rhbz#1674436)
  * rgw: update civetweb to 1.1 (rhbz#1670321)
  * cls/rgw: mtime in rgw_bucket_dir_entry_meta not really decoded
    (rhbz#1688541)
  * rgw: code-cleanup -- add const when possible and helpful
    (rhbz#1689266)
  * rgw: fix unordered bucket listing when object names are adorned
    (rhbz#1689266)
  * rgw: the error code returned by rgw is different from amz s3 when
    getting cors from the bucket without cors configuration
    (rhbz#1689410)
  * rgw-admin: fix data sync report for master zone (rhbz#1692555)
  * rgw: prefix-delimiter listing: support >1 character delimiter
    (rhbz#1660962)
  * rgw: fix signed char truncation in delimiter check (rhbz#1660962)
  * rgw: use boost::string_view (rhbz#1660962)
  * rgw: fix log messages using "proceeding" to "processing"
    (rhbz#1688378)
  * rgw: correct comment describing function try_refresh_bucket_info
    (rhbz#1688378)
  * rgw: fix race b/w bucket reshard and ops waiting on reshard
    completion (rhbz#1688378)
  * rgw: Evaluating bucket policies also while reading permissions for
    an object that is non-existent. (rhbz#1695174)
  * Initial work for OPA-Ceph integration (rhbz#1668050)
  * Set object ACLS to reflect bucket owner supporting bucket
    unlink/link. (rhbz#1669901)
  * In addition to changing the ACLOwner on objects, the
    RGWAccessControlList has to be updated as well. Without this
    commit, proper acl permissions are not set on object(they will
    still point to acl with old user) and operations like get_object
    etc. with the new owner will fail. This commit includes the
    following: - remove grant that is set to old owner - create a
    grant and add grant - add the ACL back to policy (rhbz#1669901)
  * Added the command to cli test (rhbz#1669901)
  * cls/rgw: expose cls_rgw_bucket_list_op for single shard
    (rhbz#1701970)
  * rgw: cls_bucket_list_unordered lists a single shard (rhbz#1701970)
  * rgw: crypto: throw DigestException from Digest and HMAC
    (rhbz#1687567)
  * rgw: Added caching for tokens retrieved from keystone using S3
    credentials (rhbz#1708798)
  * rgw: Removed duplicate signing method from S3 credentials caching
    (rhbz#1708798)
  * rgw: optimize function abort_bucket_multiparts (rhbz#1628055)
  * rgw: limit entries in remove_olh_pending_entries() (rhbz#1693445)
  * rgw: zone service tracks source zones in a vector (rhbz#1684642)
  * rgw: add perf counter definitions for multisite sync
    (rhbz#1684642)
  * rgw: add sync perf counters to each RGWDataSyncProcessorThread
    (rhbz#1684642)
  * rgw: add perf counters to fetch_remote_obj() (rhbz#1684642)
  * rgw: add perf counter to RGWReadRemoteDataLogShardCR
    (rhbz#1684642)
  * rgw: add perf counter to RGWListBucketIndexLogCR (rhbz#1684642)
  * rgw: multisite log trimming only checks peers that sync from us
    (rhbz#1699478)
  * rgw: fix end condition in AsyncMetadataList for bilog trim
    (rhbz#1699478)
  * rgw: bilog trim uses bucket_info.num_shards to size marker array
    (rhbz#1699478)
  * rgw: datalog trimming tracks min markers as strings (rhbz#1699478)
  * rgw: data/bilogs are trimmed when no peers are reading them
    (rhbz#1699478)
  * rgw: RGWSyncLogTrimCR wont set last_trim=max_marker (rhbz#1699478)
  * cls/user: cls_user_set_buckets_info overwrites creation_time
    (rhbz#1702288)
  * test/rgw: add multisite test_bucket_creation_time() (rhbz#1702288)

 -- Thomas Serlin <tserlin@redhat.com>  Tue, 14 May 2019 14:03:38 -0400

ceph (12.2.12-4redhat1) stable; urgency=medium

  * rgw:send x-amz-version-id header when upload files (rhbz#1661504)

 --  <ceph-jenkins@redhat.com>  Fri, 03 May 2019 18:45:05 +0000

ceph (12.2.12-3redhat1) stable; urgency=medium

  * rgw: change the 'rgw admin status" nun_shards output to signed int
    (trivial) (rhbz#1552567)

 -- Thomas Serlin <tserlin@redhat.com>  Fri, 03 May 2019 14:26:43 -0400

ceph (12.2.12-2redhat1) stable; urgency=medium

  * Imported Upstream version 12.2.12

 -- Thomas Serlin <tserlin@redhat.com>  Fri, 03 May 2019 11:04:15 -0400

ceph (12.2.8-111redhat1) stable; urgency=medium

  * rgw: fix end condition in AsyncMetadataList for bilog trim
    (rhbz#1699478)
  * rgw: bilog trim uses bucket_info.num_shards to size marker array
    (rhbz#1699478)
  * rgw: datalog trimming tracks min markers as strings (rhbz#1699478)
  * rgw: data/bilogs are trimmed when no peers are reading them
    (rhbz#1699478)
  * rgw: RGWSyncLogTrimCR wont set last_trim=max_marker (rhbz#1699478)

 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 20:34:18 +0000

ceph (12.2.8-110redhat1) stable; urgency=medium


 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 19:44:25 +0000

ceph (12.2.8-109redhat1) stable; urgency=medium

  * Modified debian/patches/0595-rgw-crypto-throw-DigestException-
    from-Digest-and-HMA.patch (rhbz#1687567)

 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 18:23:51 +0000

ceph (12.2.8-108redhat1) stable; urgency=medium

  * rgw: drop entries only if the markers do not match. (rhbz#1688869)

 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 16:39:23 +0000

ceph (12.2.8-107redhat1) stable; urgency=medium

  * Modified debian/patches/0595-rgw-crypto-throw-DigestException-
    from-Digest-and-HMA.patch (rhbz#1687567)

 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 15:12:31 +0000

ceph (12.2.8-106redhat1) stable; urgency=medium

  * Modified debian/patches/0595-rgw-crypto-throw-DigestException-
    from-Digest-and-HMA.patch (rhbz#1687567)

 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 15:04:40 +0000

ceph (12.2.8-105redhat1) stable; urgency=medium

  * rgw: crypto: throw DigestException from Digest and HMAC
    (rhbz#1687567)

 --  <ceph-jenkins@redhat.com>  Thu, 25 Apr 2019 13:40:56 +0000

ceph (12.2.8-104redhat1) stable; urgency=medium

  * rgw: lc: fix starts_with result flip (not upstream) (rhbz#1666910
    rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Tue, 23 Apr 2019 20:13:05 +0000

ceph (12.2.8-103redhat1) stable; urgency=medium

  * cls/rgw: expose cls_rgw_bucket_list_op for single shard
    (rhbz#1701970)
  * rgw: cls_bucket_list_unordered lists a single shard (rhbz#1701970)

 --  <ceph-jenkins@redhat.com>  Tue, 23 Apr 2019 18:22:56 +0000

ceph (12.2.8-102redhat1) stable; urgency=medium

  * rgw: sync counters: drop spaces from counter names (rhbz#1684642)

 --  <ceph-jenkins@redhat.com>  Tue, 23 Apr 2019 17:06:04 +0000

ceph (12.2.8-101redhat1) stable; urgency=medium

  * rgw: change the 'rgw admin status" nun_shards output to signed int
    (trivial) (rhbz#1552567)

 --  <ceph-jenkins@redhat.com>  Tue, 23 Apr 2019 15:06:49 +0000

ceph (12.2.8-100redhat1) stable; urgency=medium

  * rgw: multisite log trimming only checks peers that sync from us
    (rhbz#1699478)

 --  <ceph-jenkins@redhat.com>  Wed, 17 Apr 2019 15:48:08 +0000

ceph (12.2.8-99redhat1) stable; urgency=medium

  * rgw: lifecycle code cleanup (rhbz#1688869)
  * rgw admin: implement a lc fix option (rhbz#1688869)
  * cls_rgw: alias the LC entries as rgw_lc_entry_t (rhbz#1688869)
  * cls rgw: implement a method to get a single LC entry
    (rhbz#1688869)
  * cls_rgw: implement a read_omap_entry method (rhbz#1688869)
  * rgw: add a fix_lc_shards AdminOp that can fix lc shards for all
    the buckets (rhbz#1688869)
  * rgw admin: use the new AdminOp to fix lc shards (rhbz#1688869)
  * rgw: lc fix: protect list_keys and formatter with a scope_guard
    (rhbz#1688869)
  * doc: add troubleshooting notes on reshard admin clis
    (rhbz#1688869)
  * cls_rgw: fix issue with gc code using the wrong name
    (rhbz#1688869)
  * rgw: backport: remove c++17isms (rhbz#1688869)
  * Set object ACLS to reflect bucket owner supporting bucket
    unlink/link. (rhbz#1669901)
  * In addition to changing the ACLOwner on objects, the
    RGWAccessControlList has to be updated as well. Without this
    commit, proper acl permissions are not set on object(they will
    still point to acl with old user) and operations like get_object
    etc. with the new owner will fail. This commit includes the
    following: - remove grant that is set to old owner - create a
    grant and add grant - add the ACL back to policy (rhbz#1669901)
  * Added the command to cli test (rhbz#1669901)

 --  <ceph-jenkins@redhat.com>  Fri, 12 Apr 2019 14:54:53 +0000

ceph (12.2.8-98redhat1) stable; urgency=medium

  * rgw: RGWLC: handle versioning case (rhbz#1684435)

 --  <ceph-jenkins@redhat.com>  Thu, 11 Apr 2019 16:42:00 +0000

ceph (12.2.8-97redhat1) stable; urgency=medium

  * rgw: ldap: fix LDAPAuthEngine::init() when uri !empty()
    (rhbz#1687800)
  * Initial work for OPA-Ceph integration (rhbz#1668050)

 --  <ceph-jenkins@redhat.com>  Sun, 07 Apr 2019 22:58:37 +0000

ceph (12.2.8-96redhat1) stable; urgency=medium

  * os/filestore: ceph_abort() on fsync(2) or fdatasync(2) failure
    (rhbz#1687038)
  * osd/PG.cc: account for missing set irrespective of last_complete
    (rhbz#1687039)
  * mon/OSDMonitor: do not populate void pg_temp into nextmap
    (rhbz#1687041)
  * osd/PG: clean up set_force_{recovery,backfill} interface
    (rhbz#1668362)
  * osd: print summary for forced backfill/recovery to debug
    (rhbz#1668362)
  * osd/PG: fix misused FORCE_RECOVERY[BACKFILL] flags (rhbz#1668362)
  * test: Add option to wait_for_clean() to execute at every sleep
    (rhbz#1668362)
  * osd AsyncReserver: Update priority in AsyncReserver for force and
    cancel-force (rhbz#1668362)
  * test: Add scripts to test backfill/recovery priority handling
    (rhbz#1668362)
  * osd: Add OSD_BACKFILL_PRIORITY_FORCED with lower priority than
    OSD_RECOVERY_PRIORITY_FORCED (rhbz#1668362)
  * crush/CrushCompiler: fix id scan to include class ids
    (rhbz#1639833)
  * crushtool: implement --reclassify (rhbz#1639833)
  * crushtool: add --compare command (rhbz#1639833)
  * doc/rados/operations/crush: remove instructions for separate crush
    trees for ssd (rhbz#1639833)
  * doc/rados/operations/crush*: document reclassify (rhbz#1639833)
  * test/cli/crushtool/reclassify: add reclassify test cases
    (rhbz#1639833)
  * crushtool: add --set-subtree-class; do not set class via
    --reclassify-root (rhbz#1639833)
  * test/cli/crushtool/reclassify: add second gabe test case
    (rhbz#1639833)
  * crush/CrushWrapper: reclassify: handle to-be-created buckets that
    we need twice (rhbz#1639833)
  * crush/CrushWrapper: reclassify: use default parent for created
    buckets (rhbz#1639833)
  * crushtool: --reweight should only reweight nonshadow roots
    (rhbz#1639833)
  * crushtool: make --reweight re-sum choose_args weight-sets too
    (rhbz#1639833)
  * crushtool: implement --rebuild-class-roots command (rhbz#1639833)
  * os/bluestore: KernelDevice::read() does the EIO mapping now.
    (rhbz#1678470)
  * rgw: Evaluating bucket policies also while reading permissions for
    an object that is non-existent. (rhbz#1695174)
  * osd/OSDMap: Disallow negative values in _apply_upmap
    (rhbz#1593110)
  * TestOSDMap: Test with negative upmap values (rhbz#1593110)
  * mgr: drop GIL in get_config (rhbz#1674549)
  * rgw:lc return error if expiration_date is not midnight in
    Lifecycleconfiguration xml (rhbz#1688330)
  * rgw:lc: using midnight time to check obj expiration (rhbz#1688330)
  * rgw: limit entries in remove_olh_pending_entries() (rhbz#1693445)
  * rgw: zone service tracks source zones in a vector (rhbz#1684642)
  * rgw: add perf counter definitions for multisite sync
    (rhbz#1684642)
  * rgw: add sync perf counters to each RGWDataSyncProcessorThread
    (rhbz#1684642)
  * rgw: add perf counters to fetch_remote_obj() (rhbz#1684642)
  * rgw: add perf counter to RGWReadRemoteDataLogShardCR
    (rhbz#1684642)
  * rgw: add perf counter to RGWListBucketIndexLogCR (rhbz#1684642)

 -- Thomas Serlin <tserlin@redhat.com>  Sat, 06 Apr 2019 18:18:08 -0400

ceph (12.2.8-95redhat1) stable; urgency=medium

  * osd/PrimaryLogPG: fix the extent length error of the sync read
    (rhbz#1682966)

 --  <ceph-jenkins@redhat.com>  Thu, 04 Apr 2019 17:39:46 +0000

ceph (12.2.8-94redhat1) stable; urgency=medium

  * mon: A PG with PG_STATE_REPAIR doesn't mean damaged data,
    PG_STATE_INCONSISTENT does (rhbz#1506782)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Apr 2019 18:43:31 +0000

ceph (12.2.8-93redhat1) stable; urgency=medium

  * os/bluestore: Fix problem with bluefs's freespace not being
    balanced when kv_sync_thread is sleeping. (rhbz#1600138)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Apr 2019 18:36:18 +0000

ceph (12.2.8-92redhat1) stable; urgency=medium

  * client: sync 'retain caps' logical from kernel client
    (rhbz#1672333)
  * client: skip updating 'wanted' caps if caps are already issued
    (rhbz#1672333)
  * mds: add session pointer to Capability (rhbz#1672333)
  * mds: track if client has writeable range in Capability
    (rhbz#1672333)
  * mds: put notable caps at the front of session's caps list
    (rhbz#1672333)
  * mds: optimize revoking stale caps (rhbz#1672333)
  * client: don't wakeup cap waiters twice when mds recovered
    (rhbz#1672333)
  * client: set cap->wanted when adding new cap (rhbz#1672333)
  * client: avoid unnecessary wakeup when handling RENEWCAPS
    (rhbz#1672333)
  * mds: optimize resuming stale caps (rhbz#1672333)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Apr 2019 17:59:36 +0000

ceph (12.2.8-91redhat1) stable; urgency=medium

  * rgw: fix log messages using "proceeding" to "processing"
    (rhbz#1688378)
  * rgw: correct comment describing function try_refresh_bucket_info
    (rhbz#1688378)
  * rgw: fix race b/w bucket reshard and ops waiting on reshard
    completion (rhbz#1688378)

 --  <ceph-jenkins@redhat.com>  Tue, 02 Apr 2019 20:32:42 +0000

ceph (12.2.8-90redhat1) stable; urgency=medium

  * rgw: bucket limit check misbehaves for > max-entries buckets
    (usually 1000) (rhbz#1679263)

 --  <ceph-jenkins@redhat.com>  Tue, 02 Apr 2019 20:11:14 +0000

ceph (12.2.8-89redhat1) stable; urgency=medium

  * rgw: prefix-delimiter listing: support >1 character delimiter
    (rhbz#1660962)
  * rgw: fix signed char truncation in delimiter check (rhbz#1660962)
  * rgw: use boost::string_view (rhbz#1660962)

 --  <ceph-jenkins@redhat.com>  Tue, 02 Apr 2019 19:57:40 +0000

ceph (12.2.8-88redhat1) stable; urgency=medium

  * radosgw-admin: translate reshard status codes (trivial)
    (rhbz#1552567)

 --  <ceph-jenkins@redhat.com>  Tue, 02 Apr 2019 19:26:17 +0000

ceph (12.2.8-87redhat1) stable; urgency=medium

  * rgw: decrypt filter does not cross multipart boundaries
    (rhbz#1690941)
  * rgw_crypt: take care of start & end boundaries when parsing range
    (rhbz#1690941)
  * rgw_crypt: make decrypt's parts_len protected (rhbz#1690941)
  * test_rgw_crypt: BlockCryptNone takes a block_size param
    (rhbz#1690941)
  * tests: rgw crypto tests with partlen vector (rhbz#1690941)
  * test_rgw_crypto: add invalid ranges beyond obj boundary
    (rhbz#1690941)
  * rgw: fixup_range() clamps offsets to valid part range
    (rhbz#1690941)

 --  <ceph-jenkins@redhat.com>  Mon, 01 Apr 2019 21:56:10 +0000

ceph (12.2.8-86redhat1) stable; urgency=medium

  * Modified debian/patches/0505-crypto-bring-PK11_ImportSymKey_FIPS-
    doing-PK11_Unwra.patch (rhbz#1687567)
  * Modified debian/patches/0506-auth-rgw-common-switch-to-
    PK11_ImportSymKey_FIPS-wra.patch (rhbz#1636251)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Mar 2019 21:57:30 +0000

ceph (12.2.8-85redhat1) stable; urgency=medium

  * crypto: bring PK11_ImportSymKey_FIPS doing PK11_UnwrapSymKey.
    (rhbz#1687567)
  * auth, rgw, common: switch to PK11_ImportSymKey_FIPS wrapper.
    (rhbz#1636251)

 --  <ceph-jenkins@redhat.com>  Wed, 27 Mar 2019 05:54:03 +0000

ceph (12.2.8-84redhat1) stable; urgency=medium

  * rgw-admin: fix data sync report for master zone (rhbz#1692555)

 --  <ceph-jenkins@redhat.com>  Mon, 25 Mar 2019 21:06:40 +0000

ceph (12.2.8-83redhat1) stable; urgency=medium

  * rgw: the error code returned by rgw is different from amz s3 when
    getting cors from the bucket without cors configuration
    (rhbz#1689410)

 --  <ceph-jenkins@redhat.com>  Mon, 18 Mar 2019 11:21:36 +0000

ceph (12.2.8-82redhat1) stable; urgency=medium

  * rgw: code-cleanup -- add const when possible and helpful
    (rhbz#1689266)
  * rgw: fix unordered bucket listing when object names are adorned
    (rhbz#1689266)

 --  <ceph-jenkins@redhat.com>  Fri, 15 Mar 2019 15:29:05 +0000

ceph (12.2.8-81redhat1) stable; urgency=medium

  * rgw: nfs: skip empty (non-POSIX) path segments (rhbz#1687970)

 --  <ceph-jenkins@redhat.com>  Thu, 14 Mar 2019 18:15:04 +0000

ceph (12.2.8-80redhat1) stable; urgency=medium

  * cls/rgw: mtime in rgw_bucket_dir_entry_meta not really decoded
    (rhbz#1688541)

 --  <ceph-jenkins@redhat.com>  Thu, 14 Mar 2019 18:01:15 +0000

ceph (12.2.8-79redhat1) stable; urgency=medium

  * rgw: update civetweb to 1.1 (rhbz#1670321)

 --  <ceph-jenkins@redhat.com>  Wed, 13 Mar 2019 20:49:21 +0000

ceph (12.2.8-78redhat1) stable; urgency=medium

  * mds: delete on_error context on des (rhbz#1666407)
  * mds: add missing locks for PurgeQueue methods (rhbz#1666407)
  * mds: setup readonly mode for PurgeQueue (rhbz#1666407)
  * mds: allow boot on read-only (rhbz#1666407)

 --  <ceph-jenkins@redhat.com>  Fri, 08 Mar 2019 19:43:47 +0000

ceph (12.2.8-77redhat1) stable; urgency=medium

  * mds: create heartbeat grace config option (rhbz#1666409)
  * client: fix fuse client hang because its pipe to mds is not ok
    (rhbz#1666408)

 --  <ceph-jenkins@redhat.com>  Fri, 08 Mar 2019 19:37:39 +0000

ceph (12.2.8-76redhat1) stable; urgency=medium

  * mds: fix potential re-evaluate stray dentry in
    _unlink_local_finish (rhbz#1685733)
  * MDSMonitor: do not assign standby-replay when degraded
    (rhbz#1685735)

 --  <ceph-jenkins@redhat.com>  Fri, 08 Mar 2019 19:31:28 +0000

ceph (12.2.8-75redhat1) stable; urgency=medium

  * Modified debian/patches/0489-rgw-lifecycle-fix-object-iteration-
    for-1-same-prefix.patch (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Feb 2019 14:44:13 +0000

ceph (12.2.8-74redhat1) stable; urgency=medium

  * rgw: lifecycle: fix object iteration for >1 same-prefix rules
    (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Feb 2019 04:32:42 +0000

ceph (12.2.8-73redhat1) stable; urgency=medium

  * rgw: data sync drains lease stack on lease failure (rhbz#1657392)

 --  <ceph-jenkins@redhat.com>  Tue, 26 Feb 2019 15:12:09 +0000

ceph (12.2.8-72redhat1) stable; urgency=medium

  * rgw: lifecycle: fix RGWLifecycleConfiguration::valid()
    (rhbz#1654588)

 --  <ceph-jenkins@redhat.com>  Mon, 25 Feb 2019 21:14:27 +0000

ceph (12.2.8-71redhat1) stable; urgency=medium

  * rgw: resolve bugs and clean up garbage collection code
    (rhbz#1674436 rhbz#1674436)

 --  <ceph-jenkins@redhat.com>  Mon, 25 Feb 2019 17:03:04 +0000

ceph (12.2.8-70redhat1) stable; urgency=medium

  * rgw: lifecycle: backport: add fmt/{format,format-inl,core}.h
    (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 21 Feb 2019 21:42:34 +0000

ceph (12.2.8-69redhat1) stable; urgency=medium

  * Modified debian/patches/0477-rgw-lifecycle-alternate-solution-to-
    prefix_map-confl.patch (rhbz#1654588 rhbz#1666910)
  * Modified debian/patches/0479-ceph-dencoder-add-support-for-
    RGWLifecycleConfigurat.patch (rhbz#1654588)
  * Modified debian/patches/0480-RGWLC-debug-tags-in-
    rgwlc_s3_expiration_header.patch (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 21 Feb 2019 15:03:15 +0000

ceph (12.2.8-68redhat1) stable; urgency=medium

  * Modified debian/patches/0477-rgw-lifecycle-alternate-solution-to-
    prefix_map-confl.patch (rhbz#1654588 rhbz#1666910)
  * Modified debian/patches/0479-ceph-dencoder-add-support-for-
    RGWLifecycleConfigurat.patch (rhbz#1654588)
  * Modified debian/patches/0480-RGWLC-debug-tags-in-
    rgwlc_s3_expiration_header.patch (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Thu, 21 Feb 2019 00:12:47 +0000

ceph (12.2.8-67redhat1) stable; urgency=medium

  * Modified debian/patches/0477-rgw-lifecycle-alternate-solution-to-
    prefix_map-confl.patch (rhbz#1654588 rhbz#1666910)
  * Modified debian/patches/0479-ceph-dencoder-add-support-for-
    RGWLifecycleConfigurat.patch (rhbz#1654588)
  * Modified debian/patches/0480-RGWLC-debug-tags-in-
    rgwlc_s3_expiration_header.patch (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Wed, 20 Feb 2019 23:49:27 +0000

ceph (12.2.8-66redhat1) stable; urgency=medium

  * rgw: fix rgw_data_sync_info::json_decode() (rhbz#1662353)
  * rgw: add 'datalog autotrim' admin command (rhbz#1662353)
  * test/rgw_multi: add test_datalog_autotrim() (rhbz#1662353)

 --  <ceph-jenkins@redhat.com>  Wed, 20 Feb 2019 22:40:04 +0000

ceph (12.2.8-65redhat1) stable; urgency=medium

  * rgw: lifecycle: alternate solution to prefix_map conflict
    (rhbz#1654588 rhbz#1666910)
  * rgw-admin: add a new lc get command (rhbz#1654588)
  * ceph-dencoder: add support for RGWLifecycleConfiguration
    (rhbz#1654588)
  * RGWLC: debug tags in rgwlc_s3_expiration_header (rhbz#1666910)
  * rgw: complete expiration header (object tags) (rhbz#1666910)

 --  <ceph-jenkins@redhat.com>  Wed, 20 Feb 2019 21:34:00 +0000

ceph (12.2.8-64redhat1) stable; urgency=medium

  * rgw: bug in versioning concurrent, list and get have consistency
    issue (rhbz#1678871)
  * rgw: resolve bug where marker was not advanced during garbage
    collection (rhbz#1674436)

 --  <ceph-jenkins@redhat.com>  Wed, 20 Feb 2019 19:23:51 +0000

ceph (12.2.8-63redhat1) stable; urgency=medium

  * rgw: fix cls_bucket_head result order consistency (rhbz#1664897)

 --  <ceph-jenkins@redhat.com>  Wed, 20 Feb 2019 18:03:22 +0000

ceph (12.2.8-62redhat1) stable; urgency=medium

  * restful: Fix regression when traversing leaf nodes (rhbz#1594746)

 --  <ceph-jenkins@redhat.com>  Thu, 14 Feb 2019 20:52:02 +0000

ceph (12.2.8-61redhat1) stable; urgency=medium

  * rgw: Don't treat colons specially in resource part of ARN
    (rhbz#1650674)

 --  <ceph-jenkins@redhat.com>  Tue, 05 Feb 2019 12:54:23 +0000

ceph (12.2.8-60redhat1) stable; urgency=medium

  * rgw ldap: move conditional LDAPEngine init into it's ctor
    (rhbz#1663566)

 --  <ceph-jenkins@redhat.com>  Tue, 05 Feb 2019 12:48:17 +0000

ceph (12.2.8-59redhat1) stable; urgency=medium

  * rgw: cleanup for RGWDeleteObj::verify_permission() (rhbz#1654694)
  * rgw: fix obj can still be deleted even if deleteobject policy is
    set (rhbz#1654694)

 --  <ceph-jenkins@redhat.com>  Tue, 05 Feb 2019 12:02:50 +0000

ceph (12.2.8-58redhat1) stable; urgency=medium

  * mgr/DaemonServer: log pgmap usage to cluster log (rhbz#1664440)

 --  <ceph-jenkins@redhat.com>  Mon, 04 Feb 2019 18:19:28 +0000

ceph (12.2.8-57redhat1) stable; urgency=medium

  * mds: trim cache after journal flush (rhbz#1664468)
  * client: flush cap release on session flush (rhbz#1664468)
  * mds: cleanup Session init (rhbz#1664468)
  * mds: cleanup SessionMap init (rhbz#1664468)
  * mds: add throttle for trimming MDCache (rhbz#1664468)
  * mds: adapt drop cache for incremental trim (rhbz#1664468)
  * mds: recall caps incrementally (rhbz#1664468)
  * mds: adapt drop cache for incremental recall (rhbz#1664468)
  * mds: limit maximum number of caps held by session (rhbz#1669628)
  * qa: test mds_max_caps_per_client conf (rhbz#1669628)
  * mds: add extra details for cache drop output (rhbz#1664468)
  * mds: simplify recall warnings (rhbz#1664468)
  * test/mds: fix Session cons call (rhbz#1664468)
  * mds: handle negative decay counter (rhbz#1664468)

 --  <ceph-jenkins@redhat.com>  Mon, 04 Feb 2019 17:16:56 +0000

ceph (12.2.8-56redhat1) stable; urgency=medium

  * mds: log session open stats (rhbz#1645693)
  * mds: clean up log level 2 messages (rhbz#1645693)
  * mds: do not log internal journal error (rhbz#1645693)

 --  <ceph-jenkins@redhat.com>  Mon, 04 Feb 2019 15:57:54 +0000

ceph (12.2.8-55redhat1) stable; urgency=medium

  * librbd: journaling unable request can not be sent to remote lock
    owner (rhbz#1624093)
  * librbd: potential race in RewatchRequest when resetting
    watch_handle (rhbz#1624093)
  * librbd: fix rbd close race with rewatch (rhbz#1624093)
  * librbd: ensure managed lock can shut down if stuck waiting for
    register (rhbz#1624093)
  * rbd-mirror: attempt to re-acquire leader lock if watcher recovered
    (rhbz#1624093)
  * librbd: attempt to recover lost image watcher upon all failures
    (rhbz#1624093)
  * librbd: watcher should internally track blacklisted state
    (rhbz#1624093)
  * librbd: assume lock is unlocked if blacklisted or object deleted
    (rhbz#1624093)
  * librbd: reacquire lock should properly handle failed watcher
    (rhbz#1624093)
  * librbd: helper to retrieve the correct error code for read-only op
    (rhbz#1624093)
  * librbd: use the correct error code when the exclusive lock isn't
    locked (rhbz#1624093)

 --  <ceph-jenkins@redhat.com>  Fri, 01 Feb 2019 20:21:56 +0000

ceph (12.2.8-54redhat1) stable; urgency=medium

  * librbd: reset snaps in rbd_snap_list() (rhbz#1655681)

 --  <ceph-jenkins@redhat.com>  Fri, 01 Feb 2019 19:57:28 +0000

ceph (12.2.8-53redhat1) stable; urgency=medium

  * pybind/rbd: added missing RBD_FLAG_FAST_DIFF_INVALID constant
    (rhbz#1639724)

 --  <ceph-jenkins@redhat.com>  Fri, 01 Feb 2019 19:51:06 +0000

ceph (12.2.8-52redhat1) stable; urgency=medium

  * rgw: `radosgw-admin bucket rm ... --purge-objects` can hang...
    (rhbz#1658308)

 --  <ceph-jenkins@redhat.com>  Fri, 01 Feb 2019 15:20:29 +0000

ceph (12.2.8-51redhat1) stable; urgency=medium

  * rgw: only update last_trim marker on ENODATA (rhbz#1662353)
  * mon/MDSMonitor: no_reply on MMDSLoadTargets (rhbz#1667605)
  * osd: print offset and length to track trimtrunc (rhbz#1667619)
  * osd/PrimaryLogPG.cc: reassign size only when object size >
    truncate_size (rhbz#1667619)
  * osd/OSD.cc: log slow requests in OSD logs (rhbz#1659156)
  * osd: bring back old calc_trim_to and rename new method
    (rhbz#1608060)
  * osd/mon: fix upgrades for pg log hard limit (rhbz#1608060)
  * mon: add and use OSD_PGLOG_HARDLIMIT feature bit (rhbz#1608060)
  * mon/OSDMonitor.cc: make a note about reusing jewel feature bit
    (rhbz#1608060)
  * qa/suites/upgrade/jewel-x: add pg log settings (rhbz#1608060)
  * qa/suites/upgrade/luminous-p2p-stress-split: add split scenario
    (rhbz#1608060)
  * include/rados.h: hide CEPH_OSDMAP_PGLOG_HARDLIMIT from ceph -s
    (rhbz#1608060)
  * qa/suites/upgrade/jewel-x/stress-split*: require-osd-release
    luminous after upgrade (rhbz#1608060)
  * doc: pglog_hardlimit flag recommendations (rhbz#1608060)

 --  <ceph-jenkins@redhat.com>  Thu, 31 Jan 2019 20:25:05 +0000

ceph (12.2.8-50redhat1) stable; urgency=medium

  * rgw: fetch_remote_obj filters out olh attrs (rhbz#1663570)
  * test/rgw: add multisite test_version_suspended_incremental_sync
    (rhbz#1663570)
  * rgw: add BucketShard::init overload for bucket_info,obj
    (rhbz#1663570)
  * rgw: bi_get() takes bucket_info (rhbz#1663570)
  * rgw: add RGWRados::bi_get_olh() to read/decode olh entry
    (rhbz#1663570)
  * rgw: add RGWRados::repair_olh() to reconstruct olh attrs
    (rhbz#1663570)
  * test/rgw: check_bucket_eq() supports delete markers (rhbz#1658308)
  * test/rgw: check_bucket_eq() uses bucket.list_versions()
    (rhbz#1658308)
  * test/rgw: add multisite test_delete_marker_full_sync()
    (rhbz#1658308)
  * test/rgw: add multisite test_suspended_delete_marker_full_sync()
    (rhbz#1658308)
  * rgw: bucket full sync handles delete markers (rhbz#1658308)

 --  <ceph-jenkins@redhat.com>  Thu, 31 Jan 2019 18:11:31 +0000

ceph (12.2.8-49redhat1) stable; urgency=medium

  * rgw: Fix log level of gc_iterate_entries (rhbz#1671169)

 --  <ceph-jenkins@redhat.com>  Thu, 31 Jan 2019 01:25:38 +0000

ceph (12.2.8-48redhat1) stable; urgency=medium

  * rgw_lc: support for object tagging in LC policies (rhbz#1654588)
  * rgw_tag: implement emplace, empty & clear methods (rhbz#1654588)
  * rgw: rgw_tag_s3: make dump_xml a const member function
    (rhbz#1654588)
  * rgw: lifcycle: don't reject compound rules with empty prefix
    (rhbz#1654588)
  * librgw: export multitenancy support (rhbz#1661882)
  * rgw_file: deep stat handling (rhbz#1670516)
  * MDSMonitor: allow beacons from stopping MDS that was laggy
    (rhbz#1663344)
  * mds: use uniform write handler for PQ (rhbz#1652464)
  * mds: disallow dumping huge caches to formatter (rhbz#1636037)
  * mds: prevent rctime from going back (rhbz#1632506)
  * client:two ceph-fuse client, one can not list out files created by
    another. (rhbz#1630023)
  * client: update ctime when modifying file content (rhbz#1632509)
  * mds: fix mds damaged due to unexpected journal length
    (rhbz#1636629)
  * osdc: reduce ObjectCacher's memory fragments (rhbz#1659210)
  * osdc/Journaler: make try_read_entry store data in contiguous
    memory (rhbz#1659213)
  * cephfs-journal-tool: dump to per rank output file wherever
    necessary (rhbz#1636627)
  * cephfs-journal-tool: pass local arg vector for Journal actions
    (rhbz#1636627)
  * cephfs-journal-tool: make "--rank" argument mandatory
    (rhbz#1636627)
  * test: make rank argument mandatory when running journal_tool
    (rhbz#1636627)
  * PendingReleaseNotes: add release notes for cephfs-journal-tool
    changes (rhbz#1636627)
  * mds: obsolete MDSMap option configs (rhbz#1657022)
  * libcephfs: expose CEPH_SETATTR_MTIME_NOW and
    CEPH_SETATTR_ATIME_NOW (rhbz#1636628)
  * mds: queue inodes into MDCache::export_pin_queue after setattr is
    journaled (rhbz#1660206)
  * mds: don't exclude disallowed caps when recording wanted caps
    (rhbz#1660205)
  * client: don't update importing caps' mseq when handing cap export
    (rhbz#1660205)
  * mds: make timeout parameter optional for "cache drop"
    (rhbz#1646949)
  * mds: fix infinite loop in OpTracker::check_ops_in_flight
    (rhbz#1667829)
  * msg: lower verbosity on normal event (rhbz#1665591)
  * mds: log evicted clients to clog/dbg (rhbz#1643995)
  * mds: handle state change race (rhbz#1663342)
  * mds: don't cap log when there are replicated objects
    (rhbz#1659207)
  * mds: use MDlog::trim_all() to trim log when deactivating mds
    (rhbz#1659207)
  * mds: flush dirty dirfrags that weren't logged when deactivating
    mds (rhbz#1659207)
  * mds: handle fragment notify race (rhbz#1659206)
  * mds: bump mds protocol version (rhbz#1659206)
  * config: drop config_proxy::lock when invoking config observer
    (rhbz#1651777)
  * wherever: guard handle_conf_change() from concurrent execution
    (rhbz#1651777)
  * osd: use unlock_guard for unlock osd temporarily (rhbz#1651777)
  * osd: unlock osd_lock when tweaking osd settings (rhbz#1651777)
  * mds: use mono_clock for reconnect timeout (rhbz#1656969)
  * mds: renew client session when receiving any message
    (rhbz#1656969)
  * mds: extend reconnect period when mds is busy (rhbz#1656969)
  * mgr/restful: fix py got exception when get osd info (rhbz#1594746)
  * mgr: fix crash due to multiple sessions from daemons with same
    name (rhbz#1670781)
  * rgw: check for non-existent bucket in RGWGetACLs (rhbz#1667142)

 --  <ceph-jenkins@redhat.com>  Wed, 30 Jan 2019 23:09:30 +0000

ceph (12.2.8-47redhat1) stable; urgency=medium

  * rgw: feature -- log successful bucket resharding events
    (rhbz#1658760)

 --  <ceph-jenkins@redhat.com>  Wed, 12 Dec 2018 20:07:38 +0000

ceph (12.2.8-46redhat1) stable; urgency=medium

  * ceph-volume-client: allow setting mode of CephFS volumes
    (rhbz#1644421)

 --  <ceph-jenkins@redhat.com>  Tue, 11 Dec 2018 20:03:52 +0000

ceph (12.2.8-45redhat1) stable; urgency=medium

  * rgw: fix bad user stats on versioned bucket after reshard
    (rhbz#1653314 rhbz#1655842)

 --  <ceph-jenkins@redhat.com>  Thu, 06 Dec 2018 19:10:40 +0000

ceph (12.2.8-44redhat1) stable; urgency=medium

  * rgw: reshard improvements (rhbz#1655705)
  * rgw: move all reshard config options out of legacy_config_options
    (rhbz#1655705)

 --  <ceph-jenkins@redhat.com>  Mon, 03 Dec 2018 20:10:31 +0000

ceph (12.2.8-43redhat1) stable; urgency=medium

  * ceph-volume lvm skip empty vg_name removals (rhbz#1655171)

 --  <ceph-jenkins@redhat.com>  Fri, 30 Nov 2018 20:50:11 +0000

ceph (12.2.8-42redhat1) stable; urgency=medium

  * rgw: fix bad versioned bucket stats after reshard (rhbz#1653314)
  * rgw: minor clean-up -- convert enum BIIndexType to enum class
    (rhbz#1653314)

 --  <ceph-jenkins@redhat.com>  Fri, 30 Nov 2018 17:12:13 +0000

ceph (12.2.8-41redhat1) stable; urgency=medium

  * rgw: Fix for role permission evaluation based on TYPE_ROLE.
    (rhbz#1653580)

 --  <ceph-jenkins@redhat.com>  Fri, 30 Nov 2018 16:54:32 +0000

ceph (12.2.8-40redhat1) stable; urgency=medium

  * rgw: data sync accepts ERR_PRECONDITION_FAILED on remove_object()
    (rhbz#1642144)

 --  <ceph-jenkins@redhat.com>  Fri, 30 Nov 2018 15:46:37 +0000

ceph (12.2.8-39redhat1) stable; urgency=medium

  * rgw: Replacing std::regex with boost::regex. (rhbz#1650405)
  * rgw: Fix for permission evaluation for anonymous users.
    (rhbz#1653580)

 --  <ceph-jenkins@redhat.com>  Thu, 29 Nov 2018 13:37:07 +0000

ceph (12.2.8-38redhat1) stable; urgency=medium

  * rgw: properly avoid accessing null user_acl (rhbz#1653580)
  * librados: NObjectIteratorImpl::get_next() throws std::system_error
    (rhbz#1649484)
  * rgw: pool_iterate[_begin] catches NObjectIterator exceptions
    (rhbz#1649484)
  * rgw: list_buckets_* catches NObjectIterator exceptions
    (rhbz#1649484)
  * rgw: bucket trim restarts if list_keys_init() returns EINVAL
    (rhbz#1649484)
  * librados_cxx: document which nobjects interfaces throw
    (rhbz#1649484)
  * rgw: implement listing stale instances from a reshard
    (rhbz#1653830)
  * cli: use rgw-admin reshard stale-instances list/delete
    (rhbz#1653830)
  * rgw: batch and process bucket instances (rhbz#1653830)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 28 Nov 2018 13:16:00 -0700

ceph (12.2.8-37redhat1) stable; urgency=medium

  * Deleted debian/patches/0024-ceph-disk-revise-the-help-message-for-
    prepare-comman.patch (rhbz#1572722)
  * ceph-volume lvm.batch.bluestore allow osds-per-device with
    SingleType (rhbz#1541415)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 28 Nov 2018 12:57:55 -0700

ceph (12.2.8-36redhat1) stable; urgency=medium

  * A debian/patches/0333-STS-remove-c-17-isms.patch (rhbz#1471626)

 --  <ceph-jenkins@redhat.com>  Wed, 21 Nov 2018 19:01:48 +0000

ceph (12.2.8-35redhat1) stable; urgency=medium

  * rgw: fix bug in error codes returned (rhbz#1627562)
  * rgw: rename function for clarity (rhbz#1627562)
  * rgw: remove never-called RGWRados member function (rhbz#1627562)
  * rgw: a little code clean-up by adding const (rhbz#1627562)
  * rgw: clean up unused bucket index shards (rhbz#1627562)
  * rgw: perf -- remove bucket shards asynchronously rather than
    synchronously (rhbz#1627562)

 --  <ceph-jenkins@redhat.com>  Wed, 21 Nov 2018 15:09:17 +0000

ceph (12.2.8-34redhat1) stable; urgency=medium

  * rgw: Initial commit for User Policy REST APIs. (rhbz#1471626)
  * rgw: User Policy evaluation for bucket/object/user permission.
    (rhbz#1471626)
  * rgw: Permission evaluation for User Policies. (rhbz#1471626)
  * rgw: Permission evaluation for Roles. (rhbz#1471626)
  * rgw: Using bitset for Actions to allow for more action op codes.
    (rhbz#1471626)
  * rgw: Fixing error codes while user policy is parsed.
    (rhbz#1471626)
  * rgw: Adding unittests for User policies. (rhbz#1471626)
  * rgw: Corrected code for ARNs for entities that have a path.
    (rhbz#1471626)
  * rgw: Policy code for STS. (rhbz#1471626)
  * rgw: Fixes to User Policy code for CreateBucket and
    ListAllBuckets. (rhbz#1471626)
  * rgw: Fixing user perm evaluation when no policy is supplied to a
    role. (rhbz#1471626)
  * rgw: Fix verify_user_permission for user policy evaluation.
    (rhbz#1471626)
  * rgw: Correcting permission evaluation for Roles. (rhbz#1471626)
  * rgw: Correcting perm evaluation when a bucket policy is not
    attached, but a user policy is. (rhbz#1471626)
  * rgw: Don't check for Principal in User Policies. (rhbz#1471626)

 --  <ceph-jenkins@redhat.com>  Wed, 21 Nov 2018 12:48:11 +0000

ceph (12.2.8-33redhat1) stable; urgency=medium

  * ceph-volume main raise sys.exit to prevent garbage in help
    (rhbz#1644828)
  * ceph-volume api.lvm allow passing a Volume object to remove_lv
    (rhbz#1644828)
  * ceph-volume tests.functional.lvm test full removal of LVs
    (rhbz#1644828)
  * ceph-volume tests.api verify that Volume object can be removed
    (rhbz#1644828)
  * ceph-volume tests update tests to handle new SystemExit exceptions
    in main (rhbz#1644828)
  * ceph-volume lvm.zap remove vgs|lvs when --destroy is used
    (rhbz#1644828)

 --  <ceph-jenkins@redhat.com>  Thu, 15 Nov 2018 19:12:25 +0000

ceph (12.2.8-32redhat1) stable; urgency=medium

  * ceph-volume simple.trigger replace systemd with from_trigger
    keyword argument (rhbz#1644610)
  * ceph-volume simple.activate allow a --no-systemd flag to skip
    systemctl actions (rhbz#1644610)
  * ceph-volume tests ensure activate behavior with systemd disabling
    (rhbz#1644610)
  * ceph-volume simple.activate factor out systemd interactions for
    easier testing (rhbz#1644610)

 --  <ceph-jenkins@redhat.com>  Wed, 14 Nov 2018 20:37:43 +0000

ceph (12.2.8-31redhat1) stable; urgency=medium

  * common: add config option rgw_trust_forwarded_https (rhbz#1641808)
  * rgw: add helper function rgw_transport_is_secure() (rhbz#1641808)
  * rgw: SSE operations check rgw_transport_is_secure() (rhbz#1641808)
  * rgw: aws:SecureTransport uses rgw_transport_is_secure()
    (rhbz#1641808)

 --  <ceph-jenkins@redhat.com>  Thu, 08 Nov 2018 16:47:11 +0000

ceph (12.2.8-30redhat1) stable; urgency=medium

  * rgw: beast frontend uses default port 443 for ssl_endpoint
    (rhbz#1644840)
  * rgw: beast frontend parses ipv6 addrs (rhbz#1644840)

 --  <ceph-jenkins@redhat.com>  Thu, 08 Nov 2018 15:32:38 +0000

ceph (12.2.8-29redhat1) stable; urgency=medium

  * rgw: Fix for buffer overflow in STS op_post(). (rhbz#1471626)
  * rgw: Fixes to STS Lite documentation. (rhbz#1471626)
  * rgw: Minor fixes to AssumeRole for boto compliance. (rhbz#1471626)
  * rgw: Minor fixes to radosgw-admin commands for a role.
    (rhbz#1471626)
  * rgw: Adding documentation for Roles. (rhbz#1471626)
  * rgw: move keystone secrets from ceph.conf to files (rhbz#1637529)
  * rgw: move keystone secrets from ceph.conf to files (rhbz#1637529)
  * ceph-volume util.encryption robust blkid+lsblk detection of
    lockbox (rhbz#1644265)

 --  <ceph-jenkins@redhat.com>  Thu, 08 Nov 2018 06:04:29 +0000

ceph (12.2.8-28redhat1) stable; urgency=medium

  * mgr/restful: Fix deep-scrub typo (rhbz#1641681)

 --  <ceph-jenkins@redhat.com>  Wed, 07 Nov 2018 16:01:33 +0000

ceph (12.2.8-27redhat1) stable; urgency=medium

  * Revert "osd/PrimaryLogPG: fix potential pg-log overtrimming"
    (rhbz#1608060)
  * Revert "osd/PrimaryLogPG: avoid dereferencing invalid complete_to"
    (rhbz#1608060)
  * Revert "osd/PrimaryLogPG.cc: limit trimming at can_rollback_to"
    (rhbz#1608060)
  * Revert "osd/PGLog.cc: check if complete_to points to log.end()"
    (rhbz#1608060)
  * Revert "src/osd/PG.cc: remove redundant call to trim_log()"
    (rhbz#1608060)
  * Revert "osd/PGLog.cc: use lgeneric_subdout instead of
    generic_dout" (rhbz#1608060)
  * Revert "osd/PGLog: allow pg log trim when complete_to is less than
    trim_to" (rhbz#1608060)
  * Revert "osd: reset complete_to when trimming the log past it"
    (rhbz#1608060)
  * Revert "osd: allow trim() to proceed when there are missing items"
    (rhbz#1608060)
  * Revert "osd: handle trim() during backfill" (rhbz#1608060)
  * Revert "osd: print pg log length and trim_to" (rhbz#1608060)
  * Revert "osd: make calc_trim_to() independent of
    min_last_complete_ondisk" (rhbz#1608060)
  * doc: make note of pg log hard limit upgrade bug in
    PendingReleaseNotes (rhbz#1608060)

 --  <ceph-jenkins@redhat.com>  Tue, 06 Nov 2018 00:07:27 +0000

ceph (12.2.8-26redhat1) stable; urgency=medium

  * osd: Separate removal and recovery thread pools (rhbz#1636267)
  * osd: New configuration option osd_delete_sleep (rhbz#1636267)

 --  <ceph-jenkins@redhat.com>  Mon, 05 Nov 2018 16:03:37 +0000

ceph (12.2.8-25redhat1) stable; urgency=medium

  * rbd-mirror: update mirror status when stopping (rhbz#1640262)

 --  <ceph-jenkins@redhat.com>  Thu, 01 Nov 2018 21:16:14 +0000

ceph (12.2.8-24redhat1) stable; urgency=medium

  * rgw: renew resharding lock during bucket resharding (rhbz#1611763)
  * rgw: use the same lock when resharding (rhbz#1611763)
  * cls: add semantics for cls locks to require renewal without
    expiring (rhbz#1611763)
  * rgw: renew resharding locks to prevent expiration (rhbz#1611763)
  * cls: add exclusive ephemeral locks that auto-clean (rhbz#1611763)
  * rgw: change the bucket reshard lock to exclusive-ephemeral
    (rhbz#1611763)
  * rgw: failed resharding clears resharding status from shard heads
    (rhbz#1611763)
  * rgw: move RGWReshardBucket lock to its own separate class
    (rhbz#1611763)
  * rgw: recover from incomplete reshard attempt (rhbz#1611763)

 --  <ceph-jenkins@redhat.com>  Wed, 31 Oct 2018 18:41:07 +0000

ceph (12.2.8-23redhat1) stable; urgency=medium

  * rgw: rgw_user_sync_all_stats uses bucket entrypoint (rhbz#1639368)
  * rgw: cls_user_set_buckets_info can update bucket id (rhbz#1639368)
  * cls/user: cls_user_remove_bucket writes modified header
    (rhbz#1639368)

 --  <ceph-jenkins@redhat.com>  Wed, 31 Oct 2018 14:25:17 +0000

ceph (12.2.8-22redhat1) stable; urgency=medium

  * rgw/beast: drop privileges after binding ports (rhbz#1644394)

 --  <ceph-jenkins@redhat.com>  Tue, 30 Oct 2018 17:43:27 +0000

ceph (12.2.8-21redhat1) stable; urgency=medium

  * ceph-volume: adds a --prepare flag to ceph-volume lvm batch
    (rhbz#1541415)
  * ceph-volume: when --prepare is added to batch the OSDs are only
    prepared (rhbz#1541415)
  * ceph-volume: docs for --prepare flag of lvm batch (rhbz#1541415)
  * ceph-volume: update man page for batch --prepare (rhbz#1541415)

 --  <ceph-jenkins@redhat.com>  Fri, 26 Oct 2018 13:46:53 +0000

ceph (12.2.8-20redhat1) stable; urgency=medium

  * Deleted debian/patches/0001-ceph-disk-default-to-filestore.patch
    (rhbz#1572722)
  * A debian/patches/0059-ceph-volume-lvm.batch.bluestore-allow-osds-
    per-devic.patch (rhbz#1541415)

 -- Thomas Serlin <tserlin@redhat.com>  Wed, 24 Oct 2018 20:49:42 -0400

ceph (12.2.8-19redhat1) stable; urgency=medium

  * ceph-volume api.lvm: do not spit out errors on the terminal from
    LVM (rhbz#1640086)
  * ceph-volume tests allow **kw when monkeypatching (rhbz#1640086)
  * ceph-volume tests.api update monkeypatching to use **kw
    (rhbz#1640086)

 --  <ceph-jenkins@redhat.com>  Wed, 24 Oct 2018 16:33:18 +0000

ceph (12.2.8-18redhat1) stable; urgency=medium

  * ceph-volume: when using batch --report return journal/data size as
    ints (rhbz#1640086)
  * ceph-volume: fail fast during tests (rhbz#1640086)
  * ceph-volume: only run ceph-common once during tests (rhbz#1640086)
  * ceph-volume util.disk expand blkid's API calls (rhbz#1640086)
  * ceph-volume tests.util verify new blkid API calls (rhbz#1640086)
  * ceph-volume util.device add a ceph-disk device object to detect
    types (rhbz#1640086)
  * ceph-volume tests.conftest add blkid patching to device_info
    fixture (rhbz#1640086)
  * ceph-volume tests.util verify CephDiskDevice behavior
    (rhbz#1640086)
  * ceph-volume simple.scan better detection for ceph-disk data
    devices (rhbz#1640086)
  * ceph-volume tests.lvm verify activate works with --auto-detect-
    objectstore (rhbz#1640086)
  * ceph-volume lvm.activate pass no_systemd args when detecting
    objectstore (rhbz#1640086)
  * ceph-volume tests.util verify devices that don't exist don't break
    get_devices (rhbz#1640086)
  * ceph-volume util.disk when there are no devices mapped, skip to
    the next one (rhbz#1640086)
  * doc/ceph-volume document multipath support (rhbz#1640086)
  * ceph-volume lvm.create simplify help menu with bluestore default
    flags (rhbz#1640086)
  * ceph-volume lvm.prepare simplify help menu with bluestore default
    flags (rhbz#1640086)
  * fix typo in ceph-volume lvm prepare help (rhbz#1640086)
  * ceph-volume lvm.prepare update help to indicate partitions are
    needed, not devices (rhbz#1640086)
  * ceph-volume lvm.prepare update help to remove old basic usage
    example (rhbz#1640086)
  * ceph-volume lvm.batch add sizing flags for journal and block.db
    LVs (rhbz#1640086)
  * ceph-volume lvm.batch.bluestore consume --block-db-size
    (rhbz#1640086)
  * ceph-volume lvm.batch.filestore consume --journal-size
    (rhbz#1640086)
  * ceph-volume tests.devices update fixture to include new size flags
    for strategies (rhbz#1640086)
  * doc/man/ceph-volume update batch command with new sizing flags
    (rhbz#1640086)
  * ceph-volume: add vg_name to the Device class (rhbz#1640086)
  * ceph-volume: adds a lvs property to the Device class
    (rhbz#1640086)
  * ceph-volume: adds a used_by_ceph property to the Device class
    (rhbz#1640086)
  * ceph-volume: adds used_by_ceph to filestore singletype batch
    report (rhbz#1640086)
  * ceph-volume: adds a 'changed' key to lvm batch --report
    (rhbz#1640086)
  * ceph-volume: pick strategy for batch with only the unused devices
    (rhbz#1640086)
  * ceph-volume: add filtered_devices and used_by_ceph to all batch
    reports (rhbz#1640086)
  * ceph-volume: consider block and data devices used_by_ceph
    (rhbz#1640086)
  * ceph-volume: update tests to account for filtered_devices in batch
    (rhbz#1640086)
  * ceph-volume: add tests for util.device.Device.used_by_ceph
    (rhbz#1640086)
  * ceph-volume: add functional tests to ensure lvm batch is
    idempotent (rhbz#1640086)
  * ceph-volume: raise a non zero exit code if strategy changes with
    batch (rhbz#1640086)
  * ceph-volume: fix strategy comparison in 'lvm batch' (rhbz#1640086)
  * ceph-volume: ignore failure to load ceph configuration for
    block.db size (rhbz#1640086)
  * ceph-volume: fix bluestore strategy json reporting and type
    (rhbz#1640086)
  * ceph-volume: fix idempotency checks for lvm batch tests
    (rhbz#1640086)
  * ceph-volume: remove the used_by_ceph key in the json output
    (rhbz#1640086)
  * ceph-volume: add info about filtered devices to batch pretty
    reports (rhbz#1640086)
  * ceph-volume: add rotational property to Device class
    (rhbz#1640086)
  * ceph-volume: filter devices used by journals/block.db
    (rhbz#1640086)
  * ceph-volume: when all devices are filtered exit gracefully
    (rhbz#1640086)
  * ceph-volume: failing to get block db size from conf logs an
    exception (rhbz#1640086)
  * ceph-volume: extracts batch.filter_devices from
    Batch._get_strategy (rhbz#1640086)

 --  <ceph-jenkins@redhat.com>  Tue, 23 Oct 2018 16:37:10 +0000

ceph (12.2.8-17redhat1) stable; urgency=medium

  * rbd-mirror: instantiate the status formatter before changing state
    (rhbz#1640262)
  * rbd-mirror: always attempt to restart canceled status update task
    (rhbz#1640262)

 --  <ceph-jenkins@redhat.com>  Thu, 18 Oct 2018 13:15:20 +0000

ceph (12.2.8-16redhat1) stable; urgency=medium

  * rgw: fix radosgw linkage with WITH_RADOSGW_BEAST_FRONTEND=OFF
    (rhbz#1639968)
  * rgw: switch beast frontend back to stackful coroutine
    (rhbz#1639968)
  * rgw: factor the tcp::socket out of ClientIO (rhbz#1639968)
  * rgw: add ssl support to beast frontend (rhbz#1639968)
  * rgw: beast frontend calls shutdown before closing connections
    (rhbz#1639968)

 --  <ceph-jenkins@redhat.com>  Wed, 17 Oct 2018 20:20:46 +0000

ceph (12.2.8-15redhat1) stable; urgency=medium

  * ceph-volume configuration be able to set conf.ceph (rhbz#1621901)
  * ceph-volume lvm.activate load the config always by reading the
    cluster name from the LV (rhbz#1621901)
  * ceph-volume tests.functional add custom cluster name to centos7
    -filestore-create (rhbz#1621901)
  * ceph-volume tests reset the cluster name after every unit test
    (rhbz#1621901)
  * ceph-volume tests.devices patch configuration.load to avoid
    raising non-existing ceph.conf (rhbz#1621901)
  * ceph-volume main move out the load_ceph_conf_path to the
    configuration module (rhbz#1621901)
  * ceph-volume tests/functional update playbooks to use --cluster
    (rhbz#1621901)
  * ceph-volume tests/functional/lvm update tests to use 'test'
    cluster name (rhbz#1621901)
  * ceph-volume tests/functional/batch update tests to use 'test'
    cluster name (rhbz#1621901)
  * ceph-volume tests/functional update dmcrypt test playbooks to use
    --cluster (rhbz#1621901)

 --  <ceph-jenkins@redhat.com>  Wed, 17 Oct 2018 12:25:08 +0000

ceph (12.2.8-14redhat1) stable; urgency=medium

  * rgw: remove redundant quota logic from admin/user api
    (rhbz#1630870)
  * rgw: add helper functions to apply configured default quotas
    (rhbz#1630870)
  * rgw: RemoteApplier::create_account() applies default quota config
    (rhbz#1630870)

 --  <ceph-jenkins@redhat.com>  Fri, 12 Oct 2018 05:35:09 +0000

ceph (12.2.8-13redhat1) stable; urgency=medium

  * rgw: Correct permission evaluation to allow only admin users to
    work with Roles. (rhbz#1638219)

 --  <ceph-jenkins@redhat.com>  Thu, 11 Oct 2018 11:34:36 +0000

ceph (12.2.8-12redhat1) stable; urgency=medium

  * mds: cleanup some asok commands (rhbz#1589967)
  * mds: implement journal flush as asynchronous context execution
    (rhbz#1589967)
  * mds: command to trim mds cache and client caps (rhbz#1589967)
  * test: add test for mds drop cache command (rhbz#1589967)

 --  <ceph-jenkins@redhat.com>  Mon, 08 Oct 2018 22:33:16 +0000

ceph (12.2.8-11redhat1) stable; urgency=medium

  * Set RGW_USE_ALLOC=OFF (rhbz#1635805)

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 05 Oct 2018 17:25:16 -0600

ceph (12.2.8-10redhat1) stable; urgency=medium

  * rgw: policy: refactor has_conditional (rhbz#1471626)
  * rgw: Added code for STS AssumeRole. (rhbz#1471626)
  * rgw: Adding manager, handler etc for STS. (rhbz#1471626)
  * rgw: Added max_session_duration and policy parsing to RGW Roles.
    (rhbz#1471626)
  * sts: qualify encode/decode as :: (rhbz#1471626)
  * rgw: Added code to determine token expiration time using role.
    (rhbz#1471626)
  * rgw: Minor Fixes. (rhbz#1471626)
  * rgw: Added code to store arn and policy passed as part of assume
    role. (rhbz#1471626)
  * rgw: Renamed STS related files. (rhbz#1471626)
  * rgw: Incorporating review comments (rhbz#1471626)
  * rgw: Changed session token format. (rhbz#1471626)
  * rgw: Code for making STS Key configurable. (rhbz#1471626)
  * rgw: Added code for auth using temp credentials returned by STS.
    (rhbz#1471626)
  * rgw: STS authentication correction. (rhbz#1471626)
  * rgw: Perm mask. (rhbz#1471626)
  * rgw: Code for GetSessionToken REST API. (rhbz#1471626)
  * rgw: STS auth changes to make sure that other engines are not
    aware of session token. (rhbz#1471626)
  * rgw: STS auth failures will return reject. (rhbz#1471626)
  * rgw: Proper result for XML formatting. (rhbz#1471626)
  * rgw: Adding ops for V4 authentication. (rhbz#1471626)
  * rgw: Adding documentation for STS Lite. (rhbz#1471626)
  * rgw: Code to make S3 and STS co-exist in same namespace.
    (rhbz#1471626)
  * rgw: POST request handling for boto compliance. (rhbz#1471626)
  * rgw: Check for Access Key during STS Auth. (rhbz#1471626)
  * STS: remove c++17 isms (rhbz#1471626)
  * rgw: Correcting the default value of sts max session duration.
    (rhbz#1471626)
  * rgw: Changing default s3 auth order. (rhbz#1471626)
  * rgw: copy actual stats from the source shards during reshard
    (rhbz#1636562)
  * mds: simplify beacon init (rhbz#1628307)
  * mds: use monotonic clock in beacon (rhbz#1628307)
  * mds: use monotonic waits in Beacon (rhbz#1628307)
  * mds:improve mds perf counters can statistics filesystem operations
    number and latency (rhbz#1618523)
  * mds: add perf counters to track current open/stale sessions
    (rhbz#1618523)
  * mds: decay counter for tracking request load average
    (rhbz#1618523)
  * mds: allow request load average decay rate configurable via admin
    socket (rhbz#1618523)
  * mds: show session load average in dump session (rhbz#1618523)
  * mds: reorganize and curate perf log counters (rhbz#1618523)
  * ceph-fuse: add to selinux profile (rhbz#1631493)
  * mds: pass timeout argument for fetching late clients
    (rhbz#1602165)
  * mds: evict clients that do not respond to cap revoke by MDS
    (rhbz#1602165)
  * mds: add counter for tracking cap non-responding clients
    (rhbz#1602165)
  * test: validate client eviction for cap revoke non-responders
    (rhbz#1602165)
  * doc: document cap revoke non-responders client eviction
    (rhbz#1602165)
  * qa: whitelist cap revoke warning (rhbz#1602165)
  * qa: add qa helper methods from master (rhbz#1602165)
  * qa: remove check using method from master (rhbz#1602165)
  * ceph-volume-client: add py3 compatibility (rhbz#1579247)
  * cephfs.pyx: add py3 compatibility (rhbz#1579247)
  * qa/ceph-volume: allow executing python pyloads using python3
    (rhbz#1579247)
  * qa: make test_volume_client.py py3 compatible (rhbz#1579247)
  * qa: test py2 and py3 for volume client (rhbz#1579247)
  * packages.yaml: install py3 compatible cephfs and rados bindings...
    (rhbz#1579247)
  * ceph_volume_client: use integer division for pg_num (rhbz#1579247)
  * ceph-volume-client: allow atomic updates for RADOS objects
    (rhbz#1600068)
  * qa/ceph-volume: add a test for put_object_versioned()
    (rhbz#1600068)

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 05 Oct 2018 17:17:21 -0600

ceph (12.2.8-9redhat1) stable; urgency=medium

  * osd/PrimaryLogPG: fix potential pg-log overtrimming (rhbz#1608060)

 --  <ceph-jenkins@redhat.com>  Thu, 04 Oct 2018 21:26:26 +0000

ceph (12.2.8-8redhat1) stable; urgency=medium

  * rgw: RGWBucket::link supports tenant (rhbz#1595379)
  * Add several types to ceph-dencoder. (rhbz#1595379)
  * Add "--bucket-new-name" option to radosgw-admin. (rhbz#1595379)
  * rgw: bucket link: Add ability to name bucket w/ different tenant.
    (rhbz#1595379)
  * rgw: bucket link: simplify use of get bucket info. (rhbz#1595379)
  * rgw: bucket link: use data from bucket_info to rewrite
    bucket_endpoint. (rhbz#1595379)
  * rearrange / simplify RGWBucket::link logic - start bucket move
    support (rhbz#1595379)
  * rgw: bucket link: base "bucket move" (tenant id only)
    (rhbz#1595379)
  * rgw: bucket link: "bucket move"; handle bucket names too.
    (rhbz#1595379)
  * rgw: bucket link: "bucket move" documentation changes
    (rhbz#1595379)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Oct 2018 18:26:34 +0000

ceph (12.2.8-7redhat1) stable; urgency=medium

  * rgw: enable override of tcmalloc linkage (rhbz#1635805)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Oct 2018 17:40:03 +0000

ceph (12.2.8-6redhat1) stable; urgency=medium

  * rgw: fix chunked-encoding for chunks >1MiB (rhbz#1635259)

 --  <ceph-jenkins@redhat.com>  Wed, 03 Oct 2018 17:24:25 +0000

ceph (12.2.8-5redhat1) stable; urgency=medium

  * msg: set O_NONBLOCK on file status flags (rhbz#1627553)
  * *: set missing CLOEXEC on opened fds (rhbz#1627553)
  * client: retry remount on dcache invalidation failure
    (rhbz#1614780)

 --  <ceph-jenkins@redhat.com>  Tue, 02 Oct 2018 20:51:34 +0000

ceph (12.2.8-4redhat1) stable; urgency=medium

  * rgw: raise debug level on redundant data sync error messages
    (rhbz#1626239)
  * rgw: optimize function abort_bucket_multiparts (rhbz#1628055)
  * rgw: abort_bucket_multiparts() ignores individual NoSuchUpload
    errors (rhbz#1628055)

 --  <ceph-jenkins@redhat.com>  Tue, 02 Oct 2018 19:17:19 +0000

ceph (12.2.8-3redhat1) stable; urgency=medium

  * ceph-volume tests/functional add CentOS7 filestore mixed-type
    scenarios (rhbz#1619812)
  * ceph-volume tests/functional add CentOS7 bluestore mixed-type
    scenarios (rhbz#1619812)
  * ceph-volume tests/functional add mixed-type scenarios to tox.ini
    (rhbz#1619812)
  * ceph-volume tests/functional create a noop playbook to allow
    symlinking always to setup.yml (rhbz#1619812)
  * ceph-volume tests/functional single (test) playbook to zap and
    redeploy batch operations (rhbz#1619812)
  * ceph-volume tests/functional remove duplicate test playbooks
    (rhbz#1619812)
  * ceph-volume lvm.api use double -f flags when calling pvremove
    (rhbz#1619812)
  * ceph-volume lvm.batch use 'ceph' as the cluster name with
    filestore (rhbz#1619812)
  * ceph-volume lvm.batch make sure data devices don't have existing
    LVs on bluestore (rhbz#1619812)
  * ceph-volume lvm.batch.filestore capture SizeAllocationErrors
    (rhbz#1619812)
  * ceph-volume lvm.batch.bluestore validation and reporting with VG
    reuse (rhbz#1619812)
  * ceph-volume lvm.batch fix error reporting, Device objects aren't
    strings (rhbz#1619812)
  * -f ceph-volume lvm.batch.bluestore validation and reporting with
    VG reuse (rhbz#1619812)
  * ceph-volume lvm.batch.bluestore add TODOs for custom fast/slow
    devices (rhbz#1619812)
  * ceph-volume util.prepare add a helper to get block.db sizes from
    ceph.conf (rhbz#1619812)
  * ceph-volume util.disk fix an issue where Disk objects would mutate
    on div operations (rhbz#1619812)
  * ceph-volume tests.util verify Disk objects don't change state with
    divisions (rhbz#1619812)
  * ceph-volume lvm.batch add --osds-per-device flag, defaulting to 1
    (rhbz#1541415)
  * ceph-volume lvm.batch.bluestore allow osds-per-device with
    SingleType (rhbz#1541415)
  * ceph-volume lvm.batch.bluestore allow osds-per-device with
    MixedType (rhbz#1541415)
  * ceph-volume lvm.batch.validators account for osds per device,
    include collocation (rhbz#1541415)
  * ceph-volume lvm.batch.filestore allow osds-per-device
    (rhbz#1541415)
  * ceph-volume tests verify strategy validators for minimum size
    (rhbz#1541415)
  * ceph-volume tests.devices.lvm add bluestore strategy cases
    (rhbz#1541415)
  * ceph-volume lvm.tests conftest fixtures for custom vgs
    (rhbz#1541415)
  * ceph-volume tests.lvm.strategies initial filestore validation
    (rhbz#1541415)
  * ceph-volume lvm.zap use remove_pv only for physical devices
    (rhbz#1628734)
  * ceph-volume tests.functional use --destroy when zapping lvs in
    bluestore (rhbz#1628734)
  * ceph-volume tests.functional comment why not use --destroy when
    zapping lvs in filestore (rhbz#1628734)
  * osd: make calc_trim_to() independent of min_last_complete_ondisk
    (rhbz#1608060)
  * osd: print pg log length and trim_to (rhbz#1608060)
  * osd: handle trim() during backfill (rhbz#1608060)
  * osd: allow trim() to proceed when there are missing items
    (rhbz#1608060)
  * osd: reset complete_to when trimming the log past it
    (rhbz#1608060)
  * osd/PGLog: allow pg log trim when complete_to is less than trim_to
    (rhbz#1608060)
  * osd/PGLog.cc: use lgeneric_subdout instead of generic_dout
    (rhbz#1608060)
  * src/osd/PG.cc: remove redundant call to trim_log() (rhbz#1608060)
  * osd/PGLog.cc: check if complete_to points to log.end()
    (rhbz#1608060)
  * osd/PrimaryLogPG.cc: limit trimming at can_rollback_to
    (rhbz#1608060)
  * osd/PrimaryLogPG: avoid dereferencing invalid complete_to
    (rhbz#1608060)
  * tools: ceph-objectstore-tool: Allow target level as first
    positional param (rhbz#1599442)
  * common/PriorityCache: First pass at prototype. (rhbz#1611850)
  * os/bluestore: Fix potential uint64_t to int conversion issue.
    (rhbz#1611850)
  * src/kv: Initial import of a custom RocksDB cache. (rhbz#1611850)
  * kv/rocksdb_cache/BinnedLRUCache: Don't promote data to the high
    pri pool. (rhbz#1611850)
  * kv/RocksDBStore: Handle nullptr if clock cache is chosen.
    (rhbz#1611850)
  * os/bluestore: limit OSD memory usage by tuning the cache size.
    (rhbz#1611850)
  * mds: mark beacons as high priority (rhbz#1614526)
  * mds: use fast dispatch to handle MDSBeacon (rhbz#1614526)
  * MDSMonitor: note beacons and cluster changes at low dbg level
    (rhbz#1614526)
  * mds: report lagginess at lower debug (rhbz#1614526)
  * mon: test if gid exists in pending for prepare_beacon
    (rhbz#1624527)
  * mds: print is_laggy message once (rhbz#1624527)
  * osd,mon: increase mon_max_pg_per_osd to 250 (rhbz#1633426)
  * mds: hold slave request refernce when dumping MDRequestImpl
    (rhbz#1628314)
  * mds: don't modify filepath when printing (rhbz#1628314)
  * mds: cleanup CDir freezing/frozen tree check (rhbz#1628312)
  * mds: more description for failed authpin (rhbz#1628312)
  * client: check for unmounted condition before printing debug output
    (rhbz#1615394)
  * ceph_volume_client: add delay for MDSMap to be distributed
    (rhbz#1612378)
  * mds: avoid using g_conf->get_val<...>(...) in hot path
    (rhbz#1607595)
  * mds: health warning for slow metadata IO (rhbz#1607590)
  * mds: cleanup MDSRank::evict_client (rhbz#1623264)
  * librbd: fix refuse to release lock when cookie is the same at
    rewatch (rhbz#1622697)

 --  <ceph-jenkins@redhat.com>  Mon, 01 Oct 2018 20:39:16 +0000

ceph (12.2.8-2redhat1) stable; urgency=medium

  * Imported Upstream version 12.2.8 (rhbz#1595879)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 19 Sep 2018 16:47:08 -0600

ceph (12.2.5-26redhat1) stable; urgency=medium

  * rgw: fix injectargs for objecter_inflight_ops (rhbz#1591877)

 --  <ceph-jenkins@redhat.com>  Thu, 30 Aug 2018 22:57:56 +0000

ceph (12.2.5-25redhat1) stable; urgency=medium

  * rgw: raise default rgw_curl_low_speed_time to 300 seconds
    (rhbz#1619189)

 -- Thomas Serlin <tserlin@redhat.com>  Tue, 28 Aug 2018 10:58:14 -0400

ceph (12.2.5-24redhat1) stable; urgency=medium

  * mds: print mdsmap processed at low debug level (rhbz#1607606)
  * mds: dump recent events on respawn (rhbz#1607601)
  * mds: increase debug level for dropped client cap msg
    (rhbz#1607596)
  * mds: avoid traversing all dirfrags when trying to get wrlocks
    (rhbz#1607583)
  * mds: introduce MDSMap::get_mds_set_lower_bound() (rhbz#1601138)
  * mds: handle discontinuous mdsmap (rhbz#1601138)
  * qa/tasks/cephfs: add test for discontinuous mdsmap (rhbz#1601138)
  * mds: update MDSRank::cluster_degraded before handling mds failure
    (rhbz#1611056)
  * luminous: mgr/MgrClient: Protect daemon_health_metrics
    (rhbz#1580300)

 -- Thomas Serlin <tserlin@redhat.com>  Thu, 23 Aug 2018 22:48:30 -0400

ceph (12.2.5-23redhat1) stable; urgency=medium

  * mon/OSDMonitor: Warn when expected_num_objects will have no effect
    (rhbz#1592497)
  * mon/OSDMonitor: Warn if missing expected_num_objects
    (rhbz#1592497)

 --  <ceph-jenkins@redhat.com>  Tue, 31 Jul 2018 20:19:34 +0000

ceph (12.2.5-22redhat1) stable; urgency=medium

  * ceph-volume: Restore SELinux context (rhbz#1609427)

 --  <ceph-jenkins@redhat.com>  Fri, 27 Jul 2018 22:35:52 +0000

ceph (12.2.5-21redhat1) stable; urgency=medium

  * rgw: fix index update in dir_suggest_changes (rhbz#1609030)
  * rgw: continue enoent index in dir_suggest (rhbz#1609030)

 --  <ceph-jenkins@redhat.com>  Fri, 27 Jul 2018 17:31:10 +0000

ceph (12.2.5-20redhat1) stable; urgency=medium

  * rgw: add option for relaxed region enforcement (rhbz#1585307)
  * rgw: change default rgw_thread_pool_size to 512 (rhbz#1591822)
  * rgw: do not ignore EEXIST in RGWPutObj::execute (rhbz#1537737)
  * radosgw-admin: 'sync error trim' loops until complete
    (rhbz#1600702)
  * rgw: add curl_low_speed_limit and curl_low_speed_time config to
    avoid the thread hangs in data sync. (rhbz#1589545)
  * rgw: fix gc may cause a large number of read traffic
    (rhbz#1601068)
  * rgw: set default objecter_inflight_ops = 24576 (rhbz#1591877)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 25 Jul 2018 16:51:46 -0600

ceph (12.2.5-19redhat1) stable; urgency=medium

  * Do not build CephFS Java libs

 -- Ken Dreyer <kdreyer@redhat.com>  Tue, 24 Jul 2018 16:22:05 -0600

ceph (12.2.5-18redhat1) stable; urgency=medium

  * prometheus: Fix metric resets (rhbz#1537505)
  * prometheus: Make the cache timeout configurable (rhbz#1537505)
  * prometheus: Use instance instead of inst variable (rhbz#1537505)
  * prometheus: Optimize metrics formatting (rhbz#1537505)
  * prometheus: Remove the Metrics class (rhbz#1537505)
  * prometheus: Format metrics in the collect function (rhbz#1537505)
  * prometheus: Reset the time the data was captured (rhbz#1537505)
  * prometheus: Set the response header for cached response
    (rhbz#1537505)

 --  <ceph-jenkins@redhat.com>  Mon, 23 Jul 2018 21:50:40 +0000

ceph (12.2.5-17redhat1) stable; urgency=medium

  * Allow swift acls to be deleted. (rhbz#1602882)

 --  <ceph-jenkins@redhat.com>  Wed, 18 Jul 2018 19:59:55 +0000

ceph (12.2.5-16redhat1) stable; urgency=medium

  * mon/MDSMonitor: do not send redundant MDS health messages to
    cluster log (rhbz#1593031)
  * mds: combine MDCache::{cap_exports,cap_export_targets}
    (rhbz#1593100)
  * mds: don't add blacklisted clients to reconnect gather set
    (rhbz#1593100)
  * mds: filter out blacklisted clients when importing caps
    (rhbz#1593100)
  * mds: properly reconnect client caps after loading inodes
    (rhbz#1593100)
  * client: fix race in concurrent readdir (rhbz#1593123)
  * client: invalidate caps and leases when session becomes stale
    (rhbz#1593123)
  * qa/tasks/cephfs: add test for renewing stale session
    (rhbz#1593123)
  * mds: set could_consume to false when no purge queue item actually
    executed (rhbz#1593311)
  * mds: reply session reject for open request from blacklisted client
    (rhbz#1594323)
  * qa/tasks/cephfs: add timeout parameter to kclient umount_wait
    (rhbz#1594323)
  * client: fix issue of revoking non-auth caps (rhbz#1594868)
  * mds: properly trim log segments after scrub repairs something
    (rhbz#1593093)
  * mds: fix some memory leak (rhbz#1594307)
  * mds: fix leak of MDSCacheObject::waiting (rhbz#1594307)
  * mds: include nfiles/nsubdirs of directory inode in MClientCaps
    (rhbz#1594741)
  * common/DecayCounter: set last_decay to current time when decoding
    decay counter (rhbz#1593322)
  * mds: send cap export message when exporting non-auth caps to auth
    mds (rhbz#1594457)
  * mds: don't report slow request for blocked filelock request
    (rhbz#1594674)
  * mds: fix occasional dir rstat inconsistency between multi-MDSes
    (rhbz#1594283)
  * client: update inode fields according to issued caps
    (rhbz#1594283)
  * ceph-disk: revise the help message for "prepare" command
    (rhbz#1572722)

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 13 Jul 2018 13:13:34 -0600

ceph (12.2.5-15redhat1) stable; urgency=medium

  * osd/PrimaryLogPG: rebuild attrs from clients (rhbz#1599859)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Jul 2018 22:03:48 +0000

ceph (12.2.5-14redhat1) stable; urgency=medium

  * osd/filestore: Change default filestore_merge_threshold to -10
    (rhbz#1591873)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Jul 2018 14:42:40 +0000

ceph (12.2.5-13redhat1) stable; urgency=medium

  * test/rgw: test incremental sync of acls on versioned object
    (rhbz#1580497)
  * rgw: Object::Write::_do_write_meta() takes optional olh epoch
    (rhbz#1580497)
  * rgw: fetch_remote_obj() takes optional olh epoch (rhbz#1580497)
  * rgw: fetch_remote_obj() applies olh even if object is current
    (rhbz#1580497)
  * rgw: SyncModule::sync_object() takes optional olh epoch
    (rhbz#1580497)
  * rgw: bucket sync only provides an epoch for olh operations
    (rhbz#1580497)
  * rgw: bucket sync doesn't squash over olh entries (rhbz#1580497)
  * rgw: bucket sync allows OP_ADD on versioned objects (rhbz#1580497)
  * rgw: CompleteMultipart applies its olh_epoch (rhbz#1580497)
  * rgw: bucket sync updates high marker for squashed entries
    (rhbz#1580497)
  * rgw: bucket sync only allows one olh op at a time (rhbz#1580497)
  * rgw: Silence maybe-uninitialized false positives (rhbz#1580497)
  * mon/OSDMonitor: enforce caps when creating/deleting unmanaged
    snapshots (rhbz#1593594)
  * mon/OSDMonitor: enforce caps for all remaining pool ops
    (rhbz#1593594)
  * pybind/rados: new methods for manipulating self-managed snapshots
    (rhbz#1593594)
  * qa/workunits/rbd: test self-managed snapshot create/remove
    permissions (rhbz#1593594)
  * qa/workunits/rados: test pool op permissions (rhbz#1593594)

 -- Ken Dreyer <kdreyer@redhat.com>  Thu, 28 Jun 2018 16:58:14 -0600

ceph (12.2.5-12redhat1) stable; urgency=medium

  * rgw: aws4 auth supports PutBucketRequestPayment (rhbz#1569694)
  * mgr: expose avg data for long running avgs (rhbz#1554281)

 -- Thomas Serlin <tserlin@redhat.com>  Thu, 07 Jun 2018 16:20:56 -0400

ceph (12.2.5-11redhat1) stable; urgency=medium

  * rgw: ObjectCache::put avoids separate find + insert (rhbz#1585750)
  * rgw: update ObjectCacheInfo::time_added on overwrite
    (rhbz#1585750)

 -- Ken Dreyer <kdreyer@redhat.com>  Mon, 04 Jun 2018 14:00:40 -0600

ceph (12.2.5-10redhat1) stable; urgency=medium

  * mds: avoid calling rejoin_gather_finish() two times successively
    (rhbz#1585023)
  * mds: tighten conditions of calling rejoin_gather_finish()
    (rhbz#1585023)
  * osdc/ObjectCacher: allow discard to complete in-flight writeback
    (rhbz#1585029)
  * client: avoid freeing inode when it contains TX buffer heads
    (rhbz#1585029)
  * qa: test for trim_caps segfault for trimmed dentries
    (rhbz#1585031)
  * client: delay dentry trimming until after cap traversal
    (rhbz#1585031)
  * librbd: commit IO as safe when complete if writeback cache is
    disabled (rhbz#1585192)

 -- Thomas Serlin <tserlin@redhat.com>  Fri, 01 Jun 2018 14:30:58 -0400

ceph (12.2.5-9redhat1) stable; urgency=medium

  * Modified debian/patches/0099-mgr_module-Deal-with-long-running-
    avgs-properly.patch (rhbz#1554281)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 30 May 2018 13:46:48 -0600

ceph (12.2.5-8redhat1) stable; urgency=medium

  * rgw: add configurable AWS-compat invalid range get behavior
    (rhbz#1583835)
  * filestore: Raise the priority of two counters (rhbz#1554281)
  * mgr: Expose avgcount for long running avgs (rhbz#1554281)
  * mgr_module: Deal with long running avgs properly (rhbz#1554281)
  * prometheus: Expose sum/count pairs for avgs (rhbz#1554281)
  * doc/prometheus: Mention the long running avg types (rhbz#1554281)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 30 May 2018 13:30:20 -0600

ceph (12.2.5-7redhat1) stable; urgency=medium

  * msg/async, simple: include MGR as service when applying cephx
    settings
  * include/ceph_features: define CEPHX2 feature
  * auth/cephx/CephxSessionHandler: implement CEPHX_V2 calculation
    mode (CVE-2018-1129)
  * mon,msg: implement cephx_*_require_version options
  * auth/cephx: add authorizer challenge (CVE-2018-1128)
  * cephx: update docs
  * auth/cephx/CephxProtocol: better random

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 30 May 2018 13:26:05 -0600

ceph (12.2.5-6redhat1) stable; urgency=medium

  * osd/osd_types: fix object_stat_sum_t decode (rhbz#1581564)

 --  <ceph-jenkins@redhat.com>  Fri, 25 May 2018 21:31:08 +0000

ceph (12.2.5-5redhat1) stable; urgency=medium

  * Modified debian/patches/0074-mds-check-for-session-import-
    race.patch (rhbz#1578140)
  * Modified debian/patches/0075-mds-handle-imported-session-
    race.patch (rhbz#1578140)
  * Modified debian/patches/0076-qa-backport-helper-functions.patch
    (rhbz#1578140)
  * Modified debian/patches/0077-qa-get-status-to-handle-older-
    api.patch (rhbz#1578140)
  * Modified debian/patches/0078-mds-don-t-discover-inode-dirfrag-
    when-mds-is-in-star.patch (rhbz#1578142)
  * Modified debian/patches/0079-mds-properly-check-auth-subtree-
    count-in-MDCache-shu.patch (rhbz#1578142)
  * Modified debian/patches/0080-mds-kick-rdlock-if-waiting-for-
    dirfragtreelock.patch (rhbz#1578142)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 23 May 2018 15:26:37 -0600

ceph (12.2.5-4redhat1) stable; urgency=medium

  * prometheus: Fix order of occupation values (rhbz#1554281)
  * selinux: Allow ceph to execute ldconfig (rhbz#1565416)
  * selinux: Allow ceph to block suspend (rhbz#1565416)

 --  <ceph-jenkins@redhat.com>  Tue, 22 May 2018 12:01:00 +0000

ceph (12.2.5-3redhat1) stable; urgency=medium

  * ceph-disk: default to --filestore (rhbz#1572722)
  * rgw: consolidate code that implements hashing algorithms
    (rhbz#1548563)
  * rgw: ability to list bucket contents in unsorted order for
    efficiency (rhbz#1548563)
  * rgw: Cache notify fault injection (rhbz#1522881)
  * rgw: Robustly notify (rhbz#1522881)
  * osd: Move creation of 'master_set' to scrub_compare_maps
    (rhbz#1569192)
  * osd: Warn about objects with too many omap entries (rhbz#1569192)
  * osd: Add a flag to ScrubMap to signal check needed (rhbz#1569192)
  * qa/workunits/rados/test_large_omap_detection: Scrub pgs instead of
    OSDs (rhbz#1569192)
  * mon/PGMap: Summarise OSDs in blocked/stuck requests (rhbz#1576204)
  * ceph_volume_client: allow volumes without namespace isolation
    (rhbz#1566194)
  * qa: ignore version in auth metadata comp (rhbz#1566194)
  * rgw: RGWRadosGetOmapKeysCR uses completion return code
    (rhbz#1466956)
  * rgw: RGWRadosGetOmapKeysCR uses omap_get_keys2 (rhbz#1466956)
  * rgw: add lagging shard ids in rgw sync status (rhbz#1466956)
  * rgw: display errors of object sync failed in sync error list
    (rhbz#1466956)
  * rgw: add RGWReadDataSyncRecoveringShardsCR to read recovering
    shards (rhbz#1466956)
  * rgw: display data sync recovering shards in radosgw-admin sync
    status (rhbz#1466956)
  * rgw: read behind bucket shards of a specified data log shard
    (rhbz#1466956)
  * rgw: add --shard-id for data sync status (rhbz#1466956)
  * doc: update radosgw-admin.rst and help.t about data sync status
    (rhbz#1466956)
  * rgw: translate the state in rgw_data_sync_marker (rhbz#1466956)
  * radosgw-admin: rename 'bucket sync status' to 'bucket sync
    markers' (rhbz#1466956)
  * rgw: rgw_bucket_sync_status takes bucket info (rhbz#1466956)
  * rgw: expose struct bucket_index_marker_info in header
    (rhbz#1466956)
  * radosgw-admin: add pretty 'bucket sync status' command
    (rhbz#1466956)
  * rgw-admin: support for processing all gc objects including
    unexpired. (rhbz#1548564)
  * rgw: use aio for gc processing (rhbz#1548564)
  * rgw: use a single gc io manager for all shards (rhbz#1548564)
  * rgw: trim gc index using aio (rhbz#1548564)
  * rgw: make gc concurrenct io size configurable (rhbz#1548564)
  * rgw: gc aio, replace lists with other types (rhbz#1548564)
  * rgw: use vector for remove_tags in gc aio (rhbz#1548564)
  * qa/restful: Test pg_num/pgp_num modifications (rhbz#1506102)
  * restful: Support auid pool argument (rhbz#1506102)
  * restful: Set the value of the argument (rhbz#1506102)
  * restful: Fix jsonification (rhbz#1506102)
  * prometheus: Fix prometheus shutdown/restart (rhbz#1554281)
  * prometheus: Handle the TIME perf counter type metrics
    (rhbz#1554281)
  * mgr: Expose pg_sum in pg_summary (rhbz#1554281)
  * prometheus: Expose number of degraded/misplaced/unfound objects
    (rhbz#1554281)
  * pybind/mgr/prometheus: unify label names, move away from "id"
    (rhbz#1554281)
  * doc/mgr/prometheus: add instructions to correlate metrics
    (rhbz#1554281)
  * mds: check for session import race (rhbz#1572555)
  * mds: handle imported session race (rhbz#1572555)
  * qa: backport helper functions (rhbz#1572555)
  * qa: get status to handle older api (rhbz#1572555)
  * mds: don't discover inode/dirfrag when mds is in 'starting' state
    (rhbz#1566016)
  * mds: properly check auth subtree count in MDCache::shutdown_pass()
    (rhbz#1566016)
  * mds: kick rdlock if waiting for dirfragtreelock (rhbz#1566016)
  * client: don't hang when MDS sessions are evicted (rhbz#1576861)
  * qa/tasks: allow custom timeout for umount_wait() (rhbz#1576861)
  * qa/cephfs: test if evicted client unmounts without hanging
    (rhbz#1576861)
  * rgw: require --yes-i-really-mean-it to run radosgw-admin orphans
    find (rhbz#1573657)

 -- Ken Dreyer <kdreyer@redhat.com>  Mon, 21 May 2018 17:31:53 -0600

ceph (12.2.5-2redhat1) stable; urgency=medium

  * Imported Upstream version 12.2.5 (rhbz#1571353)

 -- Ken Dreyer <kdreyer@redhat.com>  Mon, 21 May 2018 17:17:49 -0600

ceph (12.2.4-19redhat1) stable; urgency=medium

  * rgw: fix crash with rgw_run_sync_thread false (rhbz#1552202)

 --  <ceph-jenkins@redhat.com>  Mon, 21 May 2018 20:46:42 +0000

ceph (12.2.4-18redhat1) stable; urgency=medium

  * rgw: require --yes-i-really-mean-it to run radosgw-admin orphans
    find (rhbz#1580546)

 --  <ceph-jenkins@redhat.com>  Mon, 21 May 2018 18:52:02 +0000

ceph (12.2.4-17redhat1) stable; urgency=medium

  * mon/OSDMonitor.cc: fix expected_num_objects interpret error
    (rhbz#1579039)

 --  <ceph-jenkins@redhat.com>  Wed, 16 May 2018 21:21:25 +0000

ceph (12.2.4-16redhat1) stable; urgency=medium

  * client: don't hang when MDS sessions are evicted (rhbz#1576861)
  * qa/tasks: allow custom timeout for umount_wait() (rhbz#1576861)
  * qa/cephfs: test if evicted client unmounts without hanging
    (rhbz#1576861)

 --  <ceph-jenkins@redhat.com>  Tue, 15 May 2018 22:39:34 +0000

ceph (12.2.4-15redhat1) stable; urgency=medium

  * mds: check for session import race (rhbz#1572555)
  * mds: handle imported session race (rhbz#1572555)
  * qa: backport helper functions (rhbz#1572555)
  * qa: get status to handle older api (rhbz#1572555)
  * mds: don't discover inode/dirfrag when mds is in 'starting' state
    (rhbz#1566016)
  * mds: properly check auth subtree count in MDCache::shutdown_pass()
    (rhbz#1566016)
  * mds: kick rdlock if waiting for dirfragtreelock (rhbz#1566016)

 --  <ceph-jenkins@redhat.com>  Tue, 15 May 2018 21:41:50 +0000

ceph (12.2.4-14redhat1) stable; urgency=medium

  * rgw: fix use of libcurl with empty header values (rhbz#1561531)
  * rgw: fix bi_list to reset is_truncated flag if it skips entires
    (rhbz#1554221)
  * rgw: raise log level on coroutine shutdown errors (rhbz#1499324)

 --  <ceph-jenkins@redhat.com>  Wed, 02 May 2018 23:59:02 +0000

ceph (12.2.4-13redhat1) stable; urgency=medium

  * fuse: handle errors appropriately when getting group list
    (rhbz#1560575)
  * client: remove init_groups (rhbz#1560575)
  * client: have init_gids just set alloced_gids to true
    (rhbz#1560575)
  * client: remove _getgrouplist (rhbz#1560575)
  * client: remove getgroups_cb (rhbz#1560575)

 -- Ken Dreyer <kdreyer@redhat.com>  Thu, 26 Apr 2018 18:14:48 -0600

ceph (12.2.4-12redhat1) stable; urgency=medium

  * client: add ceph_ll_sync_inode (rhbz#1566467)
  * client: flush the mdlog in _fsync before waiting on unstable reqs
    (rhbz#1566467)

 --  <ceph-jenkins@redhat.com>  Wed, 25 Apr 2018 17:54:25 +0000

ceph (12.2.4-11redhat1) stable; urgency=medium

  * make popular counter decay at proper rate (rhbz#1554593)
  * make sure that MDBalancer uses heartbeat info from the same epoch
    (rhbz#1554593)
  * discard the mdsload clear after prep_rebalance in case we want to
    export it for debugging (rhbz#1554593)
  * mds: add asok command that dumps metadata popularity
    (rhbz#1554593)
  * Make MDS evaluates the overload situation with the same criterion
    (rhbz#1554593)
  * simplify mds overload judgement logic (rhbz#1554593)
  * mds: fix request rate calculation (rhbz#1554593)
  * mds: adjust subtree popularity after rename (rhbz#1554593)
  * mds: remove unused MDBalancer::export_empties() (rhbz#1554593)
  * mds: always pass current time to MDBalancer::{hit_inode,hit_dir}
    (rhbz#1554593)
  * mds: cleanup MDBalancer::try_rebalance() (rhbz#1554593)
  * mds: don't try exporting dirfrags under mds's own mdsdir
    (rhbz#1554593)
  * mds: don't try exporting subdir if dirfrag is already being
    exported (rhbz#1554593)
  * mds: mds: optimize MDBalancer::try_rebalance() (rhbz#1554593)
  * mds: avoid creating unnecessary subtrees during load balance
    (rhbz#1554593)
  * mds: optimize MDBalancer::find_exports() (rhbz#1554593)
  * mds: check export pin when choosing dirfrags for exporting
    (rhbz#1554593)
  * mds: cleanup mds_load map access/update (rhbz#1554593)
  * mds: calculate other mds' last_epoch_under locally (rhbz#1554593)
  * mds: add list to track recently used sub-directories
    (rhbz#1554593)
  * mds: limit run time of load balancer (rhbz#1554593)

 --  <ceph-jenkins@redhat.com>  Wed, 25 Apr 2018 17:40:05 +0000

ceph (12.2.4-10redhat1) stable; urgency=medium

  * compact_*: support mempool allocated containers (rhbz#1531679)
  * mds: simplify initialization (rhbz#1531679)
  * mds: convert to allocator agnostic string_view (rhbz#1531679)
  * common: use size_t for object size (rhbz#1531679)
  * mds: put MDSCacheObject compact_map in mempool (rhbz#1531679)
  * mds: move CDir container members to mempool (rhbz#1531679)
  * mds: move CDentry container members to mempool (rhbz#1531679)
  * mds: move CInode container members to mempool (rhbz#1531679)
  * mds: track Capability in mempool (rhbz#1531679)
  * mds: minor refactor of SimpleLock (rhbz#1531679)
  * test/encoding: refactor to avoid escaping shell magic
    (rhbz#1531679)
  * mds: convert to boost::string_view (rhbz#1531679)
  * mds: various fixes for backport (rhbz#1531679)

 --  <ceph-jenkins@redhat.com>  Wed, 25 Apr 2018 17:38:24 +0000

ceph (12.2.4-9redhat1) stable; urgency=medium

  * mds: fix session reference leak (rhbz#1559749)
  * mds: reset connection's priv when marking down connection
    (rhbz#1559749)
  * mds: don't cleanup request that has pending remote
    authpin/wrlock/xlock (rhbz#1559749)
  * mds: always handle SESSION_REQUEST_RENEWCAPS messages
    (rhbz#1559749)

 --  <ceph-jenkins@redhat.com>  Wed, 25 Apr 2018 17:17:22 +0000

ceph (12.2.4-8redhat1) stable; urgency=medium

  * fuse: wire up fuse_ll_access (rhbz#1560575)

 --  <ceph-jenkins@redhat.com>  Tue, 24 Apr 2018 21:52:13 +0000

ceph (12.2.4-7redhat1) stable; urgency=medium

  * Drop patch that reverted PR #18782 (rhbz#1550026)

 -- Ken Dreyer <kdreyer@redhat.com>  Thu, 05 Apr 2018 21:58:06 -0600

ceph (12.2.4-6redhat1) stable; urgency=medium

  * mds: bump mds_log_max_segments for trim buffer (rhbz#1507629)

 --  <ceph-jenkins@redhat.com>  Thu, 05 Apr 2018 20:43:07 +0000

ceph (12.2.4-5redhat1) stable; urgency=medium

  * cephfs: Reset scrub data when inodes move (rhbz#1518730)
  * cephfs: Add option to load invalid metadata from disk
    (rhbz#1518730)
  * qa/cephfs: Add tests to validate scrub functionality
    (rhbz#1518730)
  * qa: ignore bad backtrace cluster wrn (rhbz#1518730)

 --  <ceph-jenkins@redhat.com>  Tue, 20 Mar 2018 02:07:06 +0000

ceph (12.2.4-4redhat1) stable; urgency=medium

  * Revert "Merge pull request #18782 from ukernel/luminous-21985"
    (rhbz#1550026)

 --  <ceph-jenkins@redhat.com>  Thu, 15 Mar 2018 19:00:39 +0000

ceph (12.2.4-3redhat1) stable; urgency=medium

  * tools: Add pg log trim command to ceph-objectstore-tool
    (rhbz#1552094)
  * PG, PrimaryLogPG: trim log and rollback info for error log entries
    (rhbz#1554544)
  * PrimaryLogPG: only trim up to osd_pg_log_trim_max entries at once
    (rhbz#1554544)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 14 Mar 2018 15:42:51 -0600

ceph (12.2.4-2redhat1) stable; urgency=medium

  * Imported Upstream version 12.2.4 (rhbz#1548067 rhbz#1325322
    rhbz#1489866 rhbz#1493418 rhbz#1506438 rhbz#1507136 rhbz#1507629
    rhbz#1538317 rhbz#1541424 rhbz#1543879 rhbz#1544680)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 14 Mar 2018 15:14:57 -0600

ceph (12.2.1-48redhat1) stable; urgency=medium

  * rgw: make init env methods return an error (rhbz#1547673)

 --  <ceph-jenkins@redhat.com>  Thu, 08 Mar 2018 21:14:28 +0000

ceph (12.2.1-47redhat1) stable; urgency=medium

  * tools: Show DB state information (rhbz#1549293)
  * tools: Add the ability to reset state to v2 (rhbz#1549293)
  * osd, mds, tools: drop the invalid comment and some unused
    variables (rhbz#1549293)
  * tools: Add --backend option to ceph-osdomap-tool default to
    rocksdb (rhbz#1549293)
  * osd: Only scan for omap corruption once (rhbz#1549293)

 --  <ceph-jenkins@redhat.com>  Tue, 27 Feb 2018 23:38:56 +0000

ceph (12.2.1-46redhat1) stable; urgency=medium

  * rgw: Fix swift object expiry not deleting objects (rhbz#1530673)

 --  <ceph-jenkins@redhat.com>  Wed, 24 Jan 2018 17:05:06 +0000

ceph (12.2.1-45redhat1) stable; urgency=medium

  * config: lower default omap entries recovered at once
    (rhbz#1505559)

 --  <ceph-jenkins@redhat.com>  Thu, 11 Jan 2018 23:58:40 +0000

ceph (12.2.1-44redhat1) stable; urgency=medium

  * rgw: dont log EBUSY errors in 'sync error list' (rhbz#1530665)

 --  <ceph-jenkins@redhat.com>  Wed, 10 Jan 2018 16:40:47 +0000

ceph (12.2.1-43redhat1) stable; urgency=medium

  * ceph.in: pass RADOS inst to LibCephFS (rhbz#1491170)
  * rgw: fix BZ 1500904, Stale bucket index entry remains after object
    deletion (rhbz#1530784)
  * RGW: S3 POST policy should not require Content-Type (rhbz#1530775)
  * rgw: fix chained cache invalidation to prevent cache size growth
    above the rgw_cache_lru_size limit (rhbz#1530670)
  * rgw: fix rewrite a versioning object create a new object bug
    (rhbz#1531279)
  * rgw: Add try_refresh_bucket_info function (rhbz#1530801)
  * rgw: Add retry_raced_bucket_write (rhbz#1530801)
  * rgw: Handle stale bucket info in RGWPutMetadataBucket
    (rhbz#1530801)
  * rgw: Handle stale bucket info in RGWSetBucketVersioning
    (rhbz#1530801)
  * rgw: Handle stale bucket info in RGWSetBucketWebsite
    (rhbz#1530801)
  * rgw: Handle stale bucket info in RGWDeleteBucketWebsite
    (rhbz#1530801)
  * rgw: Handle stale bucket info in RGWPutBucketPolicy (rhbz#1530801)
  * rgw: Handle stale bucket info in RGWDeleteBucketPolicy
    (rhbz#1530801)
  * rgw: Expire entries in bucket info cache (rhbz#1530801)
  * rgw: retry CORS put/delete operations on ECANCELLED (rhbz#1530801)
  * rgw: Add expiration in the object cache (rhbz#1530801)
  * rgw: Plumb refresh logic into object cache (rhbz#1530801)
  * rgw: put bucket policy panics RGW process (rhbz#1531673)

 --  <ceph-jenkins@redhat.com>  Tue, 09 Jan 2018 16:26:45 +0000

ceph (12.2.1-42redhat1) stable; urgency=medium

  * dencoder/rgw: expose rgw sync status types (rhbz#1512092)
  * rgw: set num_shards on 'radosgw-admin data sync init'
    (rhbz#1512092)

 --  <ceph-jenkins@redhat.com>  Wed, 22 Nov 2017 21:37:46 +0000

ceph (12.2.1-41redhat1) stable; urgency=medium

  * Revert "rgw_file: disable FLAG_EXACT_MATCH enforcement"
    (rhbz#1509035)

 --  <ceph-jenkins@redhat.com>  Thu, 02 Nov 2017 20:21:57 +0000

ceph (12.2.1-40redhat1) stable; urgency=medium

  * rgw: init oldest period after setting run_sync_thread
    (rhbz#1508322)
  * rgw: add missing current_history initialization (rhbz#1508322)

 --  <ceph-jenkins@redhat.com>  Thu, 02 Nov 2017 14:36:51 +0000

ceph (12.2.1-39redhat1) stable; urgency=medium

  * rgw:fix list objects with marker when bucket is enable versioning
    (rhbz#1508615)

 --  <ceph-jenkins@redhat.com>  Wed, 01 Nov 2017 20:42:14 +0000

ceph (12.2.1-38redhat1) stable; urgency=medium

  * osd: add processed_subop_count for cls_cxx_subop_version()
    (rhbz#1507650)
  * qa: add ceph_test_cls_log to cls workunit (rhbz#1507650)
  * cmake/cls: add install() for ceph_test_cls_log (rhbz#1507650)
  * rgw: take placement_rule from bucket info in
    update_containers_stats (rhbz#1506239)
  * rgw: remove placement_rule from rgw_link_bucket() (rhbz#1506239)
  * rgw: remove placement_rule from cls_user_bucket_entry
    (rhbz#1506239)

 --  <ceph-jenkins@redhat.com>  Wed, 01 Nov 2017 15:54:00 +0000

ceph (12.2.1-37redhat1) stable; urgency=medium

  * rgw: fix extra_data_len handling in PutObj filters (rhbz#1505485)

 --  <ceph-jenkins@redhat.com>  Tue, 31 Oct 2017 19:54:47 +0000

ceph (12.2.1-36redhat1) stable; urgency=medium

  * rgw_file: set s->obj_size from bytes_written (rhbz#1507128)

 --  <ceph-jenkins@redhat.com>  Mon, 30 Oct 2017 19:35:34 +0000

ceph (12.2.1-35redhat1) stable; urgency=medium

  * rgw: Fix dereference of empty optional (rhbz#1503280)

 --  <ceph-jenkins@redhat.com>  Mon, 30 Oct 2017 17:06:34 +0000

ceph (12.2.1-34redhat1) stable; urgency=medium

  * Modified debian/patches/0110-cls-journal-fixed-possible-infinite-
    loop-in-expire_t.patch (rhbz#1501374)

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 27 Oct 2017 16:03:03 -0600

ceph (12.2.1-33redhat1) stable; urgency=medium

  * cls/journal: fixed possible infinite loop in expire_tags
    (rhbz#1501374)

 --  <ceph-jenkins@redhat.com>  Fri, 27 Oct 2017 15:55:04 +0000

ceph (12.2.1-32redhat1) stable; urgency=medium

  * rgw: dont reuse stale RGWObjectCtx for get_bucket_info()
    (rhbz#1506239)
  * rgw: include SSE-KMS headers in encrypted upload response
    (rhbz#1496460)

 --  <ceph-jenkins@redhat.com>  Thu, 26 Oct 2017 16:17:34 +0000

ceph (12.2.1-31redhat1) stable; urgency=medium

  * Deleted debian/patches/0013-radosgw-fix-awsv4-header-line-sort-
    order.patch (rhbz#1498323)

 -- Ken Dreyer <kdreyer@redhat.com>  Thu, 26 Oct 2017 09:55:44 -0600

ceph (12.2.1-30redhat1) stable; urgency=medium

  * You can find the problem do like this: (rhbz#1505504)

 --  <ceph-jenkins@redhat.com>  Wed, 25 Oct 2017 14:30:06 +0000

ceph (12.2.1-29redhat1) stable; urgency=medium

  * rbd-mirror: strip environment/CLI overrides for remote cluster
    (rhbz#1505496)

 --  <ceph-jenkins@redhat.com>  Tue, 24 Oct 2017 13:46:41 +0000

ceph (12.2.1-28redhat1) stable; urgency=medium

  * messages/MOSDMap: do compat reencode of crush map, too
    (rhbz#1505365)
  * buffer: allow mempool to be passed into raw* ctors and create
    methods (rhbz#1505460)
  * buffer: remove list _mempool member (rhbz#1505460)

 --  <ceph-jenkins@redhat.com>  Mon, 23 Oct 2017 16:11:20 +0000

ceph (12.2.1-27redhat1) stable; urgency=medium

  * common/common_init: disable ms subsystem log gathering for clients
    (rhbz#1496674)
  * osdc/Objecter: delay initialization of hobject_t in _send_op
    (rhbz#1496674)
  * osdc/Objecter: skip sparse-read result decode if bufferlist is
    empty (rhbz#1496674)

 --  <ceph-jenkins@redhat.com>  Mon, 23 Oct 2017 12:25:42 +0000

ceph (12.2.1-26redhat1) stable; urgency=medium

  * rgw_file: implement variant offset readdir processing
    (rhbz#1489452)
  * rgw_file: disable FLAG_EXACT_MATCH enforcement (rhbz#1489452)

 --  <ceph-jenkins@redhat.com>  Thu, 19 Oct 2017 22:09:54 +0000

ceph (12.2.1-25redhat1) stable; urgency=medium

  * rbd-mirorr: does not start on reboot (rhbz#1504166)
  * mon/MgrMonitor: populate on-disk cmd descs if empty on upgrade
    (rhbz#1504171)
  * mon/MgrMonitor: read cmd descs if empty on update_from_paxos()
    (rhbz#1504171)
  * src/messages/MOSDMap: reencode OSDMap for older clients
    (rhbz#1504172)
  * osd: make the PG's SORTBITWISE assert a more generous shutdown
    (rhbz#1504177)
  * os/bluestore/KernelDevice: hack to inject bad device size
    (rhbz#1504179)
  * os/bluestore: fsck: remove fsck repair for 21089 (rhbz#1504179)
  * os/bluestore: repair 21089 on freelist init (rhbz#1504179)
  * ceph-bluestore-tool: factor out bluefs mount (rhbz#1504179)
  * ceph-objectstore-tool: Make pg removal require --force
    (rhbz#1504179)
  * os/ObjectStore: add repair interface (rhbz#1504179)
  * ceph-bluestore-tool: add 'bluefs-bdev-sizes' command
    (rhbz#1504179)
  * ceph-bluestore-tool: add 'bluefs-bdev-expand' to expand wal or db
    usage (rhbz#1504179)
  * ceph-bluestore-tool: better default logging; --log-file and --log-
    level options (rhbz#1504179)
  * os/bluestore: allocate entire write in one go (rhbz#1504179)
  * os/bluestore: require that bluefs_alloc_size be multiple of
    min_alloc_size (rhbz#1504179)
  * os/bluestore: mkfs: choose min_alloc_size earlier (rhbz#1504179)
  * os/bluestore/FreelistManager: create: accept min alloc size
    (rhbz#1504179)
  * os/bluestore: align bluefs_extents to min_alloc_size
    (rhbz#1504179)
  * os/bluestore: use min_alloc_size for freelist resolution
    (rhbz#1504179)
  * os/bluestore: ignore 0x2000~2000 extent oddity from luminous
    upgrade (rhbz#1504179)
  * os/bluestore: dump stray cache content on shutdown (rhbz#1504179)
  * osd: debug_bluestore on shutdown (rhbz#1504179)
  * osd: make shutdown debug conditional (and off by default)
    (rhbz#1504179)
  * os/bluestore: wake kv thread when blocking on deferred_bytes
    (rhbz#1504179)
  * os/bluestore: use normal Context for async deferred_try_submit
    (rhbz#1504179)
  * os/bluestore/BlueFS: crash on enospc (rhbz#1504179)
  * os/bluestore: add bluestore_bluefs_min_free (rhbz#1504179)
  * buffer: add ptr::[try_]reassign_to_mempool (rhbz#1504179)
  * os/bluestore: put attrs in mempool (rhbz#1504179)
  * os/bluestore: put new attrs in correct mempool too (rhbz#1504179)
  * os/bluestore: move several buffer{ptr, list}s into cache_other
    mempool (rhbz#1504179)

 --  <ceph-jenkins@redhat.com>  Thu, 19 Oct 2017 21:47:11 +0000

ceph (12.2.1-24redhat1) stable; urgency=medium

  * rgw_file: explicit NFSv3 open() emulation (rhbz#1492582)

 --  <ceph-jenkins@redhat.com>  Wed, 18 Oct 2017 21:30:43 +0000

ceph (12.2.1-23redhat1) stable; urgency=medium

  * rgw: Remove assertions in IAM Policy (rhbz#1503280)

 --  <ceph-jenkins@redhat.com>  Tue, 17 Oct 2017 18:22:40 +0000

ceph (12.2.1-22redhat1) stable; urgency=medium

  * Modified debian/patches/0062-cls-rgw-increment-header-version-to-
    avoid-overwritin.patch (rhbz#1501408)
  * Modified debian/patches/0063-test-rgw-add-
    test_multipart_object_sync.patch (rhbz#1501408)

 --  <ceph-jenkins@redhat.com>  Tue, 17 Oct 2017 16:54:07 +0000

ceph (12.2.1-21redhat1) stable; urgency=medium

  * rgw: disable dynamic resharding in multisite environment
    (rhbz#1498474)

 --  <ceph-jenkins@redhat.com>  Tue, 17 Oct 2017 16:50:26 +0000

ceph (12.2.1-20redhat1) stable; urgency=medium

  * cls/rgw: increment header version to avoid overwriting bilog
    entries (rhbz#1501408)
  * test/rgw: add test_multipart_object_sync (rhbz#1501408)

 --  <ceph-jenkins@redhat.com>  Tue, 17 Oct 2017 14:55:37 +0000

ceph (12.2.1-19redhat1) stable; urgency=medium

  * test: ceph_test_cls_journal was dropped when converting to cmake
    (rhbz#1501374)
  * cls/journal: fixed possible infinite loop which could kill the OSD
    (rhbz#1501374)

 --  <ceph-jenkins@redhat.com>  Mon, 16 Oct 2017 16:52:41 +0000

ceph (12.2.1-18redhat1) stable; urgency=medium

  * mds: keep CInode::STATE_QUEUEDEXPORTPIN state when exporting inode
    (rhbz#1500874)
  * osdc/ObjectCacher: limit memory usage of BufferHead (rhbz#1490814)
  * rgw: list_objects() honors end_marker regardless of namespace.
    (rhbz#1436386)
  * rgw: add support for max_meta_name_length of Swift API's /info.
    (rhbz#1436386)
  * rgw: refactor rgw_get_request_metadata to reduce the number of
    dynallocs. (rhbz#1436386)
  * rgw: add support for max_meta_value_length of Swift API's /info.
    (rhbz#1436386)
  * rgw: honor custom rgw_err::message in Swift's error handling.
    (rhbz#1436386)
  * rgw: Swift API returns 400 Bad Request on too long container
    names. (rhbz#1436386)
  * rgw: add support for max_meta_count of Swift API's /info.
    (rhbz#1436386)
  * rgw: seed::get_torrent_file returns errors in the usual way.
    (rhbz#1436386)
  * rgw: return proper message when deleting non-empty Swift's
    container. (rhbz#1436386)
  * rgw: rename the configurables for metadata limits to start with
    rgw_. (rhbz#1436386)
  * rgw: abstract partial data processing in RGWListBuckets.
    (rhbz#1436386)
  * rgw: add basic support for Swift's reversed account listings.
    (rhbz#1436386)
  * rgw: {end_}marker params are handled during Swift's reversed
    account listing. (rhbz#1436386)
  * rgw: enforce the std::move semantic across the path of
    RGWUserBuckets. (rhbz#1436386)
  * rgw: clean-up around and implement the move semantics in
    RGWBucketEnt. (rhbz#1436386)
  * rgw: convey placement rule in RGWBucketEnt and
    cls_user_bucket_entry. (rhbz#1436386)
  * rgw: bucket linking stores also the info about a placement rule.
    (rhbz#1436386)
  * rgw: calculate and print Swift's X-Account-Storage-Policy-*
    headers. (rhbz#1436386)
  * common/options: reduce mon_pg_warn_max_per_osd to 200
    (rhbz#1489064)
  * mon/OSDMonitor: prevent pg_num from exceeding
    mon_pg_warn_max_per_osd (rhbz#1489064)
  * mon/OSDMonitor: assume a minimum cluster size of 3 (rhbz#1489064)
  * qa/standalong/mon/osd-pool-create: fewer pgs in test
    (rhbz#1489064)
  * mon: rename mon_pg_warn_max_per_osd -> mon_max_pg_per_osd
    (rhbz#1489064)
  * doc/rados/operations/health-checks: fix TOO_MANY_PGS discussion
    (rhbz#1489064)
  * common/options.cc: Set Filestore rocksdb compaction readahead
    option. (rhbz#1502763)
  * common/options: enable multiple rocksdb compaction threads for
    filestore (rhbz#1502763)
  * mds: prevent trim count from underflowing (rhbz#1502178)

 --  <ceph-jenkins@redhat.com>  Mon, 16 Oct 2017 16:34:57 +0000

ceph (12.2.1-17redhat1) stable; urgency=medium

  * rgw: 'zone placement' commands validate compression type
    (rhbz#1501389)

 --  <ceph-jenkins@redhat.com>  Fri, 13 Oct 2017 16:15:02 +0000

ceph (12.2.1-16redhat1) stable; urgency=medium

  * rgw: RGWUser::init no longer overwrites user_id (rhbz#1489391)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Oct 2017 12:41:27 +0000

ceph (12.2.1-15redhat1) stable; urgency=medium

  * ceph-disk: factor out the retry logic into a decorator
    (rhbz#1494543)
  * ceph-disk: retry on OSError (rhbz#1494543)

 --  <ceph-jenkins@redhat.com>  Wed, 11 Oct 2017 08:52:46 +0000

ceph (12.2.1-14redhat1) stable; urgency=medium

  * rgw: encryption SSE-C add the details of error msg in response
    (rhbz#1496460)
  * rgw: encryption SSE-KMS add the details of error msg in response
    (rhbz#1496460)
  * rgw: encryption fix the issue when not provide encryption mode
    (rhbz#1496460)
  * rgw: encryption add exception handling for from_base64 on bad
    input (rhbz#1496460)

 --  <ceph-jenkins@redhat.com>  Tue, 10 Oct 2017 19:42:03 +0000

ceph (12.2.1-13redhat1) stable; urgency=medium

  * librbd: refresh image after applying new/removing old metadata
    (rhbz#1493977)

 --  <ceph-jenkins@redhat.com>  Tue, 10 Oct 2017 15:30:39 +0000

ceph (12.2.1-12redhat1) stable; urgency=medium

  * radosgw: fix awsv4 header line sort order. (rhbz#1498323)
  * librbd: snapshots should be created/removed against data pool
    (rhbz#1497332)
  * rbd-mirror: sync image metadata when transfering remote image
    (rhbz#1493977)
  * librbd: notify watcher when updating image metadata (rhbz#1493977)
  * librbd: avoid dynamically refreshing non-atomic configuration
    settings (rhbz#1493977)
  * rgw: release cls lock if taken in RGWCompleteMultipart
    (rhbz#1497853)
  * RGW: fix a bug about inconsistent unit of comparison
    (rhbz#1498668)
  * RGW: Multipart upload may double the quota (rhbz#1498668)
  * osd: additional protection for out-of-bounds EC reads
    (rhbz#1498611)

 --  <ceph-jenkins@redhat.com>  Thu, 05 Oct 2017 15:35:07 +0000

ceph (12.2.1-11redhat1) stable; urgency=medium

  * selinux: Allow getattr on lnk sysfs files (rhbz#1493750)

 --  <ceph-jenkins@redhat.com>  Mon, 02 Oct 2017 10:21:54 +0000

ceph (12.2.1-10redhat1) stable; urgency=medium

  * rgw_file: fix write error when the write offset overlaps.
    (rhbz#1496585)
  * ceph_volume_client: perform snapshot operations in (rhbz#1494980)
  * rgw: Check bucket CORS operations in policy (rhbz#1494140)
  * rgw: Check bucket Website operations in policy (rhbz#1493896)
  * rgw: Check bucket GetBucketLocation in policy (rhbz#1493934)
  * rgw: Check bucket versioning operations in policy (rhbz#1490278)
  * rgw: Check payment operations in policy (rhbz#1490278)
  * rbd-mirror: forced-promotion should interrupt replay delay to shut
    down (rhbz#1495521)
  * rbd-mirror: ensure forced-failover cannot result in sync state
    (rhbz#1495521)
  * cls/rbd: avoid recursively listing the watchers on rbd_mirroring
    object (rhbz#1492785)
  * rbd: mirror "get" actions now have cleaner error messages
    (rhbz#1492785)

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 29 Sep 2017 09:22:31 -0600

ceph (12.2.1-9redhat1) stable; urgency=medium

  * cls/rbd: avoid recursively listing the watchers on rbd_mirroring
    object (rhbz#1492785)
  * rbd: mirror "get" actions now have cleaner error messages
    (rhbz#1492785)

 --  <ceph-jenkins@redhat.com>  Fri, 29 Sep 2017 00:54:24 +0000

ceph (12.2.1-8redhat1) stable; urgency=medium

  * rbd-mirror: forced-promotion should interrupt replay delay to shut
    down (rhbz#1495521)
  * rbd-mirror: ensure forced-failover cannot result in sync state
    (rhbz#1495521)

 --  <ceph-jenkins@redhat.com>  Fri, 29 Sep 2017 00:48:48 +0000

ceph (12.2.1-7redhat1) stable; urgency=medium

  * rgw: Check payment operations in policy (rhbz#1490278)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Sep 2017 21:23:31 +0000

ceph (12.2.1-6redhat1) stable; urgency=medium

  * rgw: Check bucket GetBucketLocation in policy (rhbz#1493934)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Sep 2017 20:18:57 +0000

ceph (12.2.1-5redhat1) stable; urgency=medium

  * rgw: Check bucket Website operations in policy (rhbz#1493896)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Sep 2017 20:07:18 +0000

ceph (12.2.1-4redhat1) stable; urgency=medium

  * ceph_volume_client: perform snapshot operations in (rhbz#1494980)
  * rgw: Check bucket CORS operations in policy (rhbz#1494140)

 --  <ceph-jenkins@redhat.com>  Thu, 28 Sep 2017 20:04:06 +0000

ceph (12.2.1-3redhat1) stable; urgency=medium

  * rgw_file: fix write error when the write offset overlaps.
    (rhbz#1496585)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 27 Sep 2017 20:39:28 -0600

ceph (12.2.1-2redhat1) xenial; urgency=medium

  * Imported Upstream version 12.2.1 (rhbz#1472464 rhbz#1472465 rhbz#1477311
    rhbz#1464976 rhbz#1492865 rhbz#1489461 rhbz#1480182 rhbz#1485783
    rhbz#1468031)

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 27 Sep 2017 13:45:17 -0600

ceph (12.2.0-3redhat1) stable; urgency=medium

  * ceph-volume lvm.api add a helper to create pvs (rhbz#1485011)
  * ceph-volume lvm.api create the PVolume class (rhbz#1485011)
  * ceph-volume lvm.api create the PVolumes class and helpers
    (rhbz#1485011)
  * ceph-volume lvm.prepare make a journal a pv, use uuids always
    (rhbz#1485011)
  * ceph-volume exceptions create a specifc error for multiple pvs
    (rhbz#1485011)
  * ceph-volume lvm.activate retrieve the journal uuid if journal is a
    device (rhbz#1485011)
  * ceph-volume lvm.activate always update the link to the journal
    (rhbz#1485011)
  * ceph-volume lvm.api include lv_uuid as output fields
    (rhbz#1485011)
  * ceph-volume tests add pv* related unit tests (rhbz#1485011)
  * ceph-volume tests update the ansible version for
    functional/tox.ini (rhbz#1485011)
  * ceph-volume lvm.activate use the partuuid of a partition to link
    the journal (rhbz#1485011)
  * ceph-volume lvm.prepare store the blkid uuid of a partition
    journal (rhbz#1485011)
  * ceph-volume util create a disk utility for blkid operations
    (rhbz#1485011)
  * ceph-volume tests add new ceph_* ansible dev variables required
    (xenial) (rhbz#1485011)
  * ceph-volume tests add new ceph_* ansible dev variables required
    (centos) (rhbz#1485011)

 -- Ken Dreyer <kdreyer@redhat.com>  Thu, 07 Sep 2017 10:16:57 -0600

ceph (12.2.0-2redhat1) stable; urgency=medium

  * v12.2.0 (rhbz#1484002 rhbz#1478599)

 -- Ken Dreyer <kdreyer@redhat.com>  Tue, 29 Aug 2017 13:53:13 -0600

ceph (12.1.4-2redhat1) stable; urgency=medium

  * latest luminous rc

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 16 Aug 2017 14:55:42 -0600

ceph (12.1.2-2redhat1) stable; urgency=medium

  * First RH downstream release

 -- Ken Dreyer <kdreyer@redhat.com>  Fri, 04 Aug 2017 16:18:16 -0600

ceph (12.1.2-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Tue, 01 Aug 2017 17:55:37 +0000

ceph (12.1.1-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 17 Jul 2017 16:55:59 +0000

ceph (12.1.0-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 22 Jun 2017 15:43:47 +0000

ceph (12.0.3-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Tue, 16 May 2017 12:42:53 +0000

ceph (12.0.2-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 20 Apr 2017 19:59:57 +0000

ceph (12.0.1-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Fri, 24 Mar 2017 15:47:57 +0000

ceph (12.0.0-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Wed, 08 Feb 2017 13:57:30 +0000

ceph (11.1.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 12 Dec 2016 18:27:51 +0000

ceph (11.0.2-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 17 Oct 2016 11:16:49 +0000

ceph (11.0.1-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 11 Oct 2016 16:27:56 +0000

ceph (11.0.0-1) stable; urgency=low

  * New upstream release

 -- Sage Weil <sage@newdream.net>  Tue, 28 Jun 2016 11:41:16 -0400

ceph (10.2.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 20 Apr 2016 11:29:47 +0000

ceph (10.1.2-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 12 Apr 2016 17:42:55 +0000

ceph (10.1.1-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 06 Apr 2016 00:45:18 +0000

ceph (10.1.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Thu, 24 Mar 2016 10:53:47 +0000

ceph (10.0.5) stable; urgency=low

  * New upstream release (just fixing changelog)

 -- Sage Weil <sage@newdream.net>  Fri, 11 Mar 2016 12:04:26 -0500

ceph (10.0.4) stable; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 03 Mar 2016 13:34:18 -0500

ceph (10.0.3) stable; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 08 Feb 2016 17:10:25 -0500

ceph (10.0.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 13 Jan 2016 16:22:26 +0000

ceph (10.0.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 14 Dec 2015 23:48:54 +0000

ceph (10.0.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 16 Nov 2015 21:41:53 +0000

ceph (9.2.0-1) stable; urgency=low

  * New upstream release

 -- Jenkins Build Slave User <jenkins-build@jenkins-slave-wheezy.localdomain>  Tue, 03 Nov 2015 16:58:32 +0000

ceph (9.1.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 13 Oct 2015 05:56:36 -0700

ceph (9.0.3-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 21 Aug 2015 12:46:31 -0700

ceph (9.0.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 14 Jul 2015 13:10:31 -0700

ceph (9.0.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 05 Jun 2015 10:59:02 -0700

ceph (9.0.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 04 May 2015 12:32:58 -0700

ceph (0.94-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 07 Apr 2015 10:05:40 -0700

ceph (0.93-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 27 Feb 2015 09:52:53 -0800

ceph (0.92-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 02 Feb 2015 10:35:27 -0800

ceph (0.91-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 13 Jan 2015 12:10:22 -0800

ceph (0.90-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 19 Dec 2014 06:56:22 -0800

ceph (0.89-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 03 Dec 2014 08:18:33 -0800

ceph (0.88-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 11 Nov 2014 09:33:12 -0800

ceph (0.87-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Wed, 29 Oct 2014 11:03:55 -0700

ceph (0.86-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Tue, 07 Oct 2014 06:20:21 -0700

ceph (0.85-1) stable; urgency=low

  * Development release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Mon, 08 Sep 2014 06:31:31 -0700

ceph (0.84-1) stable; urgency=low

  * Development release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Mon, 18 Aug 2014 09:02:20 -0700

ceph (0.83-1) stable; urgency=low

  * Development release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Tue, 29 Jul 2014 13:42:53 -0700

ceph (0.82-1) stable; urgency=low

  * Development release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Wed, 25 Jun 2014 16:47:51 +0000

ceph (0.81-1) stable; urgency=low

  * Development release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Mon, 02 Jun 2014 18:37:27 +0000

ceph (0.80-1) stable; urgency=low

  * New upsream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Tue, 06 May 2014 14:03:27 +0000

ceph (0.80-rc1-1) stable; urgency=low

  * New upsream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Tue, 22 Apr 2014 21:21:44 +0000

ceph (0.79-1) stable; urgency=low

  * New upsream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Mon, 07 Apr 2014 16:48:36 +0000

ceph (0.78-1) stable; urgency=low

  * New upsream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Fri, 21 Mar 2014 22:05:12 +0000

ceph (0.77-1) stable; urgency=low

  * New upstream release

 -- Ken Dreyer <ken.dreyer@inktank.com>  Wed, 19 Feb 2014 22:54:06 +0000

ceph (0.76-1) stable; urgency=low

  * New upstream release

 -- Ken Dreyer <kdreyer@jenkins.front.sepia.ceph.com>  Mon, 03 Feb 2014 18:14:59 +0000

ceph (0.75-1) stable; urgency=low

  * New upstream release

 -- Ken Dreyer <kdreyer@jenkins.front.sepia.ceph.com>  Mon, 13 Jan 2014 21:05:07 +0000

ceph (0.74-1) stable; urgency=low

  * New upstream release 

 -- Gary Lowell <glowell@jenkins.front.sepia.ceph.com>  Mon, 30 Dec 2013 21:02:35 +0000

ceph (0.73-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 10 Dec 2013 04:55:06 +0000

ceph (0.72-1) stable; urgency=low

  * New upstream release

 -- Gary Lowell <gary.lowell@inktank.com>  Thu, 07 Nov 2013 20:25:18 +0000

ceph (0.72-rc1-1) stable; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 30 Oct 2013 00:44:25 +0000

ceph (0.71-1) stable; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Thu, 17 Oct 2013 09:19:02 +0000

ceph (0.70-1) stable; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Fri, 04 Oct 2013 20:11:51 +0000

ceph (0.69-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 18 Sep 2013 01:39:47 +0000

ceph (0.68-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 03 Sep 2013 16:10:11 -0700

ceph (0.67-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 13 Aug 2013 10:44:30 -0700

ceph (0.67-rc3-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 30 Jul 2013 14:37:40 -0700

ceph (0.67-rc2-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 24 Jul 2013 16:18:33 -0700

ceph (0.67-rc1-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 22 Jul 2013 11:57:01 -0700

ceph (0.66-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 08 Jul 2013 15:44:45 -0700

ceph (0.65-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 25 Jun 2013 09:19:14 -0700

ceph (0.64-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 12 Jun 2013 09:53:54 -0700

ceph (0.63-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 28 May 2013 13:57:53 -0700

ceph (0.62) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 14 May 2013 09:08:21 -0700

ceph (0.61-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 06 May 2013 13:18:43 -0700

ceph (0.60-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 01 Apr 2013 12:22:30 -0700

ceph (0.59-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 19 Mar 2013 22:26:37 -0700

ceph (0.58-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 04 Mar 2013 15:17:58 -0800

ceph (0.57-1) quantal; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 19 Feb 2013 10:06:39 -0800

ceph (0.56-1) quantal; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 31 Dec 2012 17:08:45 -0800

ceph (0.55.1-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 12 Dec 2012 16:24:13 -0800

ceph (0.55-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 03 Dec 2012 19:08:14 -0800

ceph (0.54-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 13 Nov 2012 13:17:19 -0800

ceph (0.53-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 16 Oct 2012 17:40:46 +0000

ceph (0.52-1) precise; urgency=low

  * New upstream release

 -- Ubuntu <gary.lowell@inktank.com>  Thu, 27 Sep 2012 16:16:52 +0000

ceph (0.51-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Sat, 25 Aug 2012 15:58:23 -0700

ceph (0.50-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 13 Aug 2012 09:44:40 -0700

ceph (0.49-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 20 Jul 2012 23:26:43 -0700

ceph (0.48argonaut-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Sat, 30 Jun 2012 14:49:30 -0700

ceph (0.47.3-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Wed, 20 Jun 2012 10:57:03 -0700

ceph (0.47.2-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Wed, 23 May 2012 09:00:43 -0700

ceph (0.47.1-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 21 May 2012 14:28:30 -0700

ceph (0.47-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Sun, 20 May 2012 15:16:03 -0700

ceph (0.46-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Sun, 29 Apr 2012 21:21:01 -0700

ceph (0.45-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Tue, 10 Apr 2012 10:41:57 -0700

ceph (0.44.2-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 05 Apr 2012 14:54:17 -0700

ceph (0.44.1-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Tue, 27 Mar 2012 13:02:00 -0700

ceph (0.44-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Sun, 18 Mar 2012 12:03:38 -0700

ceph (0.43-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 02 Mar 2012 08:53:10 -0800

ceph (0.42.2-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 24 Feb 2012 12:59:38 -0800

ceph (0.42.1-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 23 Feb 2012 18:46:23 -0800

ceph (0.42-1) experimental; urgency=low

  * New upstream relese 

 -- Sage Weil <sage@newdream.net>  Sun, 19 Feb 2012 15:30:20 -0800

ceph (0.41-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 27 Jan 2012 10:42:11 -0800

ceph (0.40-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 13 Jan 2012 08:36:02 -0800

ceph (0.39-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 02 Dec 2011 09:01:20 -0800

ceph (0.38-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 10 Nov 2011 15:06:44 -0800

ceph (0.37-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 17 Oct 2011 08:35:42 -0700

ceph (0.36-1) experimental; urgency=low

  * New upstream release

 -- Sage Weil <sage@newdream.net>  Fri, 30 Sep 2011 09:29:29 -0700

ceph (0.35-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Wed, 21 Sep 2011 09:36:03 -0700

ceph (0.34-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 26 Aug 2011 21:48:35 -0700

ceph (0.33-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Mon, 15 Aug 2011 16:42:07 -0700

ceph (0.32-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 29 Jul 2011 21:42:08 -0700

ceph (0.30-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 27 Jun 2011 20:06:06 -0700

ceph (0.29.1-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 16 Jun 2011 13:10:47 -0700

ceph (0.29-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 06 Jun 2011 09:59:25 -0700

ceph (0.28.2-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Sat, 28 May 2011 09:14:17 -0700

ceph (0.28.1-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Mon, 23 May 2011 21:11:30 -0700

ceph (0.28-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Tue, 17 May 2011 18:03:11 -0700

ceph (0.27.1-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Thu, 05 May 2011 13:42:06 -0700

ceph (0.27-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Fri, 22 Apr 2011 16:51:49 -0700

ceph (0.26-1) experimental; urgency=low

  * New upstream release.
  * Make Ceph Linux only and build on all Linux archs (closes: #614890),
    but only build-depend google-perftools on x86 and x64 archs only.
  * Correct section of libcrush1, librados1, librbd1 and libceph1 to libs.
  * Make Ceph cross buildable (closes: #618939), thanks to Hector Oron.
  * Disable libatomic-ops on ARMv4t (armel) archs to prevent FTBFS
    (closes: #615235), thanks go to Hector Oron again.
  * Rename librados1{,-dbg,-dev} packages to librados2{,-dbg,-dev} ones;
    conflict with and replace the former ones.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 01 Apr 2011 16:28:11 +0100

ceph (0.25.2-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Sun, 20 Mar 2011 21:07:38 -0700

ceph (0.25.1-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 14 Mar 2011 14:43:47 -0700

ceph (0.25-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Fri, 04 Mar 2011 14:39:54 -0800

ceph (0.24.3-1) experimental; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 10 Feb 2011 09:14:00 -0800

ceph (0.24.2-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Mon, 24 Jan 2011 11:02:24 -0800

ceph (0.24.1-1) experimental; urgency=low

  * New upstream release. 

 -- Sage Weil <sage@newdream.net>  Fri, 07 Jan 2011 16:49:48 -0800

ceph (0.24-1) experimental; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 01 Dec 2010 09:26:25 -0800

ceph (0.23.1-1) experimental; urgency=low

  * Initial release (Closes: #506040)

 -- Sage Weil <sage@newdream.net>  Sun, 21 Nov 2010 15:22:21 -0800
